var emoji_codes = (function () {
var exports = {};

exports.names = ['+1', '-1', '0', '1', '10', '100', '1234', '2', '3', '4', '5', '6', '7', '8', '8_ball', '9', 'a', 'ab', 'abc', 'abcd', 'accessible', 'accommodations', 'acrobatics', 'action', 'add', 'aerial_tramway', 'agent', 'agony', 'airplane', 'airplane_arrival', 'airplane_departure', 'alarm', 'alarm_clock', 'alchemy', 'alembic', 'alert', 'alien', 'all_good', 'alphabet', 'ambulance', 'american_football', 'amphora', 'anchor', 'android', 'angel', 'anger', 'anger_bubble', 'angry', 'angry_cat', 'angry_devil', 'anguish', 'anguished', 'ant', 'anxious', 'applause', 'apple', 'approved', 'aquarius', 'arabian_camel', 'arcade', 'archery', 'archive', 'aries', 'arms_open', 'arrival', 'art', 'asking_a_question', 'asterisk', 'astonished', 'at_work', 'athletic_shoe', 'atm', 'atom', 'attachment', 'avocado', 'b', 'baa', 'baby', 'baby_bottle', 'baby_change_station', 'baby_chick', 'back', 'backpack', 'bacon', 'badminton', 'baggage_claim', 'baguette', 'balance', 'ball', 'balloon', 'ballot_box', 'ballpoint_pen', 'bam', 'bamboo', 'banana', 'bangbang', 'bank', 'bar_chart', 'barber', 'baseball', 'basketball', 'bat', 'bath', 'bathtub', 'battery', 'beach', 'beach_umbrella', 'bear', 'bed', 'bedroom', 'bee', 'beer', 'beers', 'beetle', 'beginner', 'bell', 'bellhop_bell', 'bento', 'betrayed', 'bicycle', 'big_frown', 'big_rig', 'big_smile', 'bike', 'bikini', 'billiards', 'biohazard', 'bird', 'birthday', 'black_and_white_square', 'black_belt', 'black_circle', 'black_flag', 'black_heart', 'black_large_square', 'black_medium_small_square', 'black_medium_square', 'black_small_square', 'blank', 'blossom', 'blow_a_kiss', 'blowfish', 'blue_book', 'blue_circle', 'blue_heart', 'blush', 'blushing', 'boar', 'boat', 'bomb', 'boo', 'book', 'bookmark', 'books', 'boom', 'boot', 'bouquet', 'bow', 'bow_and_arrow', 'bowling', 'boxing_glove', 'boy', 'bravery', 'bread', 'breakfast', 'bride', 'bridge', 'briefcase', 'brightness', 'broken_heart', 'bronze', 'buddhism', 'bug', 'bulb', 'bull', 'bullet_train', 'bullhorn', 'bulls_eye', 'bunny', 'burial', 'burrito', 'bus', 'bus_stop', 'butterfly', 'buzz', 'cactus', 'cake', 'calendar', 'calf', 'call_me', 'calling', 'camel', 'camera', 'camping', 'campsite', 'cancer', 'candle', 'candy', 'canoe', 'cant_talk', 'capital_abcd', 'capital_letters', 'capricorn', 'car', 'card_index', 'carousel', 'carp_streamer', 'carpenter_square', 'carrot', 'cartwheel', 'castle', 'cat', 'caterpillar', 'caution', 'cd', 'celebration', 'cell_reception', 'chains', 'champagne', 'chart', 'check', 'check_mark', 'checkbox', 'checkered_flag', 'cheese', 'cherries', 'cherry_blossom', 'chestnut', 'chick', 'chicken', 'children_crossing', 'chili_pepper', 'chipmunk', 'chocolate', 'christianity', 'church', 'cinema', 'circle', 'circus', 'city', 'city_sunrise', 'cl', 'clap', 'classical_building', 'clink', 'clipboard', 'clock', 'clockwise', 'closed_book', 'closed_mailbox', 'closed_umbrella', 'clothing', 'cloud', 'cloudy', 'clover', 'clown', 'clubs', 'cluck', 'clue', 'cock-a-doodle-doo', 'cocktail', 'coffee', 'coffin', 'cold_sweat', 'collision', 'comet', 'commitment', 'commodities', 'composition_book', 'compression', 'computer', 'computer_mouse', 'concerned', 'conch', 'condemned', 'confetti', 'confounded', 'confused', 'congratulations', 'construction', 'construction_worker', 'construction_zone', 'control_knobs', 'convenience_store', 'cookie', 'cooking', 'cool', 'cop', 'corn', 'couch_and_lamp', 'counterclockwise', 'cow', 'cowboy', 'crab', 'crash', 'crayon', 'crazy', 'credit_card', 'cremation', 'crew', 'cricket', 'cricket_bat', 'crocodile', 'croissant', 'cross', 'cross_mark', 'crossed_flags', 'crown', 'cruise', 'crushed', 'cry', 'crying_cat', 'crystal', 'crystal_ball', 'cucumber', 'cupid', 'curry', 'custard', 'customs', 'cute', 'cyclist', 'cyclone', 'dagger', 'dancer', 'dancers', 'dancing', 'danger', 'dango', 'dark_sunglasses', 'darts', 'dash', 'date', 'death', 'debit_card', 'deciduous_tree', 'decoration', 'decorative_notebook', 'decrease', 'decreasing', 'deer', 'denim', 'department_store', 'departure', 'derelict_house', 'desert', 'desktop_computer', 'detective', 'devil', 'diamond_with_a_dot', 'diamonds', 'dice', 'die', 'digital_security', 'dim', 'ding', 'direct_hit', 'disabled', 'disappointed', 'disappointed_relieved', 'disco', 'distraught', 'divide', 'division', 'dizzy', 'do_not_litter', 'document', 'dog', 'dogi', 'dollar_bills', 'dollars', 'dolls', 'dolphin', 'done_deal', 'doner_kebab', 'donut', 'door', 'dormouse', 'double_down', 'double_exclamation', 'double_loop', 'double_up', 'doughnut', 'dove', 'dove_of_peace', 'down', 'down_button', 'downvote', 'downwards_trend', 'dragon', 'dragon_face', 'drama', 'dream', 'drenched', 'dress', 'drinking_water', 'drive_with_care', 'drooling', 'drop', 'drum', 'drumstick', 'duck', 'duel', 'dungeon', 'dvd', 'e-mail', 'eagle', 'ear', 'ear_of_rice', 'earth_africa', 'earth_americas', 'earth_asia', 'east', 'easy_come_easy_go', 'eating_utensils', 'egg', 'eggplant', 'eight', 'eight_pointed_star', 'eight_spoked_asterisk', 'elderly_man', 'elderly_woman', 'electric_plug', 'elephant', 'elevated_train', 'email', 'embarrassed', 'empty_mailbox', 'encrypted', 'end', 'engineer', 'envelope', 'envy', 'euro_banknotes', 'evergreen_tree', 'exchange', 'exclamation', 'exhausted', 'expecting', 'explosion', 'expressionless', 'eye', 'eyes', 'face_palm', 'face_with_thermometer', 'factory', 'fall', 'fallen_leaf', 'family', 'fast_down', 'fast_forward', 'fast_reverse', 'fast_up', 'fax', 'fear', 'feet', 'fencing', 'ferris_wheel', 'ferry', 'field_hockey', 'file', 'file_cabinet', 'file_folder', 'film', 'find', 'fingers_crossed', 'fire', 'fire_engine', 'fire_truck', 'fireworks', 'first_place', 'fish', 'fishing', 'fist', 'fist_bump', 'five', 'fixing', 'flags', 'flame', 'flan', 'flashlight', 'fleur_de_lis', 'flip_flops', 'flipper', 'floppy_disk', 'flower', 'flu', 'flushed', 'fog', 'foggy', 'folder', 'food', 'football', 'footprints', 'fork_and_knife', 'fork_and_knife_with_plate', 'fortune_telling', 'forward', 'fountain', 'fountain_pen', 'four', 'four_leaf_clover', 'fox', 'framed_picture', 'free', 'fries', 'frog', 'frosty', 'frown', 'frowning', 'fuel_pump', 'full_battery', 'full_moon', 'funeral_urn', 'furniture', 'future', 'gas_pump', 'gear', 'gecko', 'geek', 'gelato', 'gem', 'gemini', 'ghost', 'gift', 'gift_heart', 'girl', 'glamour', 'glass_of_milk', 'glasses', 'globe', 'glowing_star', 'go', 'goal', 'goat', 'goblin', 'gold', 'gold_record', 'golf', 'gondola', 'goodnight', 'gooooooooal', 'gorilla', 'got_it', 'graduate', 'grapes', 'grave', 'green_apple', 'green_book', 'green_heart', 'grey_exclamation', 'grey_question', 'grimacing', 'grinning', 'grinning_face_with_smiling_eyes', 'growing', 'growing_heart', 'grumpy', 'gua_pi_mao', 'guard', 'guestrooms', 'guitar', 'gun', 'gym', 'gymnastics', 'haircut', 'half_frown', 'halo', 'hamburger', 'hammer', 'hammer_and_pick', 'hammer_and_wrench', 'hamster', 'hand', 'handbag', 'handball', 'handshake', 'handyman', 'handywoman', 'happy', 'hard_hat', 'harvest', 'hash', 'hat', 'hatching', 'hatching_chick', 'haunted', 'hazard', 'hazy', 'head_bandage', 'heading_down', 'heading_up', 'headlines', 'headphones', 'hear_no_evil', 'heart', 'heart_arrow', 'heart_box', 'heart_exclamation', 'heart_eyes', 'heart_eyes_cat', 'heart_kiss', 'heart_of_gold', 'heart_pulse', 'heartache', 'heartbeat', 'hearts', 'helicopter', 'hello', 'helmet', 'helpless', 'herb', 'hi', 'hibiscus', 'high_brightness', 'high_five', 'high_heels', 'high_speed_train', 'high_voltage', 'hinduism', 'hint', 'hiss', 'hocho', 'hole', 'hole_in_one', 'holiday_tree', 'home_phone', 'honey', 'honeybee', 'horizontal_traffic_light', 'horn', 'horse', 'horse_racing', 'horse_riding', 'hospital', 'hot', 'hot_pepper', 'hot_springs', 'hotdog', 'hotel', 'hourglass', 'hourglass_done', 'house', 'houses', 'hover', 'hug', 'humpback_whale', 'hundred', 'hungry', 'hurricane', 'hurt', 'hush', 'hushed', 'ice_cream', 'ice_hockey', 'ice_skate', 'id', 'idea', 'immigration', 'imp', 'in_bed', 'in_love', 'inbox', 'inbox_zero', 'incorrect', 'increase', 'increasing', 'info', 'information_desk_person', 'injection', 'injured', 'innocent', 'interrobang', 'invincible', 'iphone', 'islam', 'island', 'izakaya_lantern', 'jack-o-lantern', 'japan', 'japan_post', 'jeans', 'jeep', 'joker', 'joking', 'joy', 'joy_cat', 'joystick', 'judiasm', 'juggling', 'justice', 'kaaba', 'kaching', 'kawaii', 'keikogi', 'key', 'key_signing', 'keyboard', 'kick_scooter', 'kimono', 'king', 'kiss', 'kiss_smiling_eyes', 'kiss_with_blush', 'kissing_cat', 'kitten', 'kiwi', 'knife', 'koala', 'label', 'ladybug', 'landing', 'landline', 'lantern', 'laptop', 'large_blue_diamond', 'large_orange_diamond', 'laughing', 'laughter_tears', 'leaves', 'ledger', 'left', 'left_fist', 'left_hook', 'left_right', 'lemon', 'leo', 'leopard', 'lets_eat', 'level_slider', 'levitating', 'lgbtq', 'libra', 'lifestyles', 'lift', 'light_bulb', 'light_rail', 'lightning', 'lightning_storm', 'link', 'linked', 'lion', 'lips', 'lips_are_sealed', 'lipstick', 'lipstick_kiss', 'lit', 'live_long_and_prosper', 'living_room', 'lizard', 'lock_with_key', 'locked', 'locked_bag', 'locker', 'lol', 'lollipop', 'looking', 'loop', 'losing_money', 'louder', 'loudspeaker', 'love', 'love_hotel', 'love_letter', 'love_you', 'low_brightness', 'lower_left', 'lower_right', 'loyalty', 'lucky', 'lying', 'm', 'mad', 'magnifying_glass', 'mahjong', 'mail', 'mail_dropoff', 'mail_received', 'mail_sent', 'mailbox', 'maintenance', 'maize', 'man', 'man_and_woman_couple', 'man_and_woman_holding_hands', 'mandarin', 'mantelpiece_clock', 'map', 'maple_leaf', 'martial_arts', 'mask', 'massage', 'meal', 'meat', 'mechanical', 'medal', 'medicine', 'megaphone', 'melon', 'memo', 'men_couple', 'menorah', 'mens', 'meow', 'merry_go_round', 'meteor', 'metro', 'mic', 'microphone', 'microscope', 'middle_finger', 'mike', 'military_medal', 'milk', 'milky_way', 'mine', 'minibus', 'minidisc', 'minus', 'mischievous', 'mobile_phone', 'money', 'money_face', 'money_with_wings', 'monkey', 'monkey_face', 'monorail', 'moon', 'moon_ceremony', 'moon_face', 'mortar_board', 'mosque', 'mostly_sunny', 'mother_christmas', 'mother_nature', 'motor_bike', 'motor_boat', 'motorcycle', 'motorway', 'mount_fuji', 'mountain', 'mountain_biker', 'mountain_cableway', 'mountain_railway', 'mountain_sunrise', 'mouse', 'mouth', 'movie', 'movie_camera', 'movie_theater', 'moving_truck', 'moyai', 'mrs_claus', 'multiplication', 'multiply', 'muscle', 'mushroom', 'music', 'musical_keyboard', 'musical_notes', 'musical_score', 'mute', 'mute_notifications', 'nail_care', 'nail_polish', 'namaste', 'name_badge', 'naruto', 'national_park', 'nauseated', 'nc17', 'nerd', 'nervous', 'neutral', 'new', 'new_baby', 'new_moon', 'new_moon_face', 'new_york', 'newspaper', 'next_track', 'ng', 'night', 'night_sky', 'nine', 'no_bicycles', 'no_entry', 'no_mail', 'no_mouth', 'no_pedestrians', 'no_phones', 'no_signal', 'no_smoking', 'no_sound', 'non-potable_water', 'noodles', 'nope', 'north', 'north_east', 'north_west', 'nose', 'not_allowed', 'note', 'notebook', 'notifications', 'nuclear', 'number_one', 'numbers', 'nursery', 'nut_and_bolt', 'o', 'ocean', 'ocean_sunrise', 'octagonal_sign', 'octopus', 'oden', 'office', 'office_supplies', 'ogre', 'oh_no', 'oil_drum', 'oink', 'ok', 'ok_signal', 'old_key', 'older_man', 'older_woman', 'om', 'on', 'oncoming_automobile', 'oncoming_bus', 'oncoming_car', 'oncoming_police_car', 'oncoming_streetcar', 'oncoming_taxi', 'oncoming_train', 'oncoming_tram', 'oncoming_trolley', 'one', 'onigiri', 'oops', 'open_book', 'open_hands', 'open_mouth', 'ophiuchus', 'oracle', 'orange', 'orange_book', 'organize', 'orthodox_cross', 'outbox', 'overcast', 'owl', 'ox', 'p', 'package', 'paella', 'page', 'pager', 'pained', 'paintbrush', 'painting', 'palette', 'palm', 'palm_tree', 'pancakes', 'panda', 'paper', 'paperclip', 'paperclip_chain', 'parking', 'part_alternation', 'partly_cloudy', 'partly_sunny', 'partly_sunny_with_rain', 'party_ball', 'pass', 'passenger_ship', 'passport_control', 'pause', 'paw_prints', 'paws', 'peace', 'peace_sign', 'peach', 'peanuts', 'pear', 'pedestrian', 'pen', 'pencil', 'penguin', 'pensive', 'performing_arts', 'persevere', 'person_frowning', 'person_pouting', 'person_tipping_hand', 'petrol_pump', 'phone', 'phone_off', 'physics', 'piano', 'pick', 'pick_me', 'picture', 'pig', 'pig_nose', 'piglet', 'pile_of_poo', 'pill', 'pin', 'pineapple', 'ping_pong', 'pirate', 'pisces', 'pizza', 'place_holder', 'place_of_worship', 'plant', 'play', 'play_pause', 'play_reverse', 'playing_cards', 'plus', 'point_down', 'point_left', 'point_of_information', 'point_right', 'point_up', 'poison', 'poker_face', 'police', 'police_car', 'pony', 'poodle', 'pool', 'poop', 'popcorn', 'post_office', 'potable_water', 'potato', 'pouch', 'poultry', 'pound_notes', 'pouting_cat', 'pow', 'power', 'praise', 'pray', 'prayer_beads', 'pregnant', 'present', 'previous_track', 'price_tag', 'pride', 'prince', 'princess', 'printer', 'privacy', 'prohibited', 'projector', 'protected', 'pumpkin', 'punch', 'puppy', 'purple_heart', 'purse', 'push_pin', 'put_litter_in_its_place', 'queasy', 'queen', 'question', 'quiet', 'rabbit', 'race', 'racecar', 'radio', 'radio_button', 'radioactive', 'rage', 'railway_car', 'railway_track', 'rainbow', 'rainy', 'raised_hand', 'raised_hands', 'raising_hand', 'ram', 'ramen', 'rat', 'rated_for_violence', 'receipt', 'reception', 'record', 'recreational_vehicle', 'recycle', 'red_book', 'red_circle', 'red_triangle_down', 'red_triangle_up', 'relaxed', 'relieved', 'reminder_ribbon', 'repeat', 'repeat_one', 'reply', 'rescue_worker', 'restroom', 'return', 'revolving_hearts', 'rewind', 'rhinoceros', 'ribbon', 'rice', 'rice_cracker', 'rideshare', 'right', 'right_fist', 'right_hook', 'ring', 'road', 'road_trip', 'robot', 'rock_carving', 'rock_on', 'rocket', 'rofl', 'roller_coaster', 'rolling_eyes', 'rolling_on_the_floor_laughing', 'rolodex', 'rooster', 'rose', 'rosette', 'rotating_light', 'rowboat', 'rowing', 'rugby', 'ruler', 'runner', 'running', 'running_shirt', 'running_shoe', 'sad', 'safe', 'safety_first', 'sagittarius', 'sailboat', 'sake', 'salad', 'sandal', 'santa', 'satchel', 'satellite', 'satellite_antenna', 'saxophone', 'say_cheese', 'scales', 'scared', 'school', 'school_bus', 'school_crossing', 'science', 'scientist', 'scissors', 'scooter', 'scorpion', 'scorpius', 'scream', 'scream_cat', 'screw', 'scroll', 'sculling', 'sealed', 'search', 'seashell', 'seat', 'second_place', 'secret', 'secure', 'see_no_evil', 'seedling', 'seeing_stars', 'selfie', 'semi_truck', 'senbei', 'services', 'settings', 'seven', 'sewing_pin', 'shadow', 'shadows', 'shamrock', 'shark', 'shaved_ice', 'shawarma', 'sheep', 'shell', 'shield', 'shinto_shrine', 'ship', 'shiro', 'shirt', 'shock', 'shoe', 'shooting_star', 'shopping_bags', 'shopping_cart', 'shopping_trolley', 'shout', 'shower', 'shrimp', 'shrinking', 'shrug', 'shuffle', 'sick', 'sign_of_the_horns', 'signal_bars', 'signal_strength', 'silence', 'silhouette', 'silhouettes', 'silver', 'siren', 'six', 'ski', 'ski_lift', 'skier', 'skip_back', 'skip_forward', 'skull', 'skull_and_crossbones', 'skyline', 'sleeping', 'sleepy', 'sleuth', 'slight_frown', 'slight_smile', 'slot_machine', 'small_airplane', 'small_blue_diamond', 'small_glass', 'small_orange_diamond', 'smartphone', 'smile', 'smile_cat', 'smiley', 'smiley_cat', 'smiling_devil', 'smiling_face_with_horns', 'smiling_imp', 'smirk', 'smirk_cat', 'smitten', 'smoking', 'smug', 'smug_cat', 'snail', 'snake', 'sneaker', 'sneaky', 'sneezing', 'snowboarder', 'snowflake', 'snowman', 'snowstorm', 'snowy', 'snowy_mountain', 'soaked', 'sob', 'soccer', 'soft_ice_cream', 'soft_serve', 'softer', 'solidarity', 'soon', 'sort', 'sos', 'sound', 'soup', 'south', 'south_east', 'south_west', 'souvlaki', 'space_invader', 'spades', 'spaghetti', 'sparkle', 'sparkler', 'sparkles', 'sparkling_heart', 'speak_no_evil', 'speaker', 'speaking_head', 'spectacles', 'speech_balloon', 'speech_bubble', 'speechless', 'speedboat', 'spider', 'spider_web', 'spiral_notebook', 'spiral_notepad', 'spiral_shell', 'spock', 'spooky', 'spoon', 'sports', 'sprout', 'spy', 'squared_ok', 'squared_up', 'squid', 'stadium', 'star', 'star_and_crescent', 'star_of_david', 'start', 'station', 'statue', 'statue_of_liberty', 'steam_locomotive', 'stew', 'stock_market', 'stop', 'stop_button', 'stop_sign', 'stopwatch', 'straightedge', 'strawberry', 'streetcar', 'stressed', 'strike', 'striped_pole', 'stuck_out_tongue', 'stuck_out_tongue_wink', 'studio_microphone', 'stuffed_flatbread', 'subtract', 'suburb', 'subway', 'sun_and_rain', 'sun_face', 'sunflower', 'sunglasses', 'sunny', 'sunrise', 'sunset', 'sunshowers', 'surf', 'surprise', 'surrender', 'sushi', 'suspension_railway', 'swap', 'swat', 'sweat', 'sweat_drops', 'sweat_smile', 'sweet_potato', 'swim', 'swords', 'symbols', 'synagogue', 'syringe', 'table_setting', 'table_tennis', 'taco', 'tada', 'tag', 'take_off', 'taking_a_picture', 'tanabata_tree', 'tangerine', 'tap_water', 'taurus', 'taxi', 'tea', 'tears', 'telephone', 'telescope', 'television', 'temperature', 'tempura', 'ten', 'tennis', 'tent', 'thank_you', 'theater', 'thermometer', 'thinking', 'third_place', 'this', 'thought', 'three', 'thumb_tack', 'thumbs_down', 'thumbs_up', 'thunder_and_rain', 'thunderstorm', 'ticket', 'tie', 'tiger', 'tiger_cub', 'time', 'time_ticking', 'timer', 'times_up', 'tired', 'tm', 'toast', 'toilet', 'tokyo_tower', 'tomato', 'tongue', 'tools', 'top', 'top_hat', 'tornado', 'tortoise', 'tower', 'toxic', 'trackball', 'tractor', 'tractor-trailer', 'trademark', 'traffic_light', 'train', 'train_car', 'train_tracks', 'tram', 'transport_truck', 'trash_can', 'tree', 'triangular_flag', 'triangular_ruler', 'trident', 'triumph', 'trolley', 'trophy', 'tropical_drink', 'tropical_fish', 'truck', 'trumpet', 'tshirt', 'tulip', 'tumbling', 'turban', 'turkey', 'turtle', 'tuxedo', 'tv', 'two', 'two_hearts', 'two_men_holding_hands', 'two_women_holding_hands', 'typhoon', 'ufo', 'umbrella', 'umbrella_with_rain', 'umm', 'unamused', 'underage', 'unicorn', 'unlocked', 'unread_mail', 'up', 'up_button', 'up_down', 'upper_left', 'upper_right', 'upside_down', 'upvote', 'upwards_trend', 'vase', 'vertical_traffic_light', 'very_angry', 'vhs', 'vibration_mode', 'victory', 'video_camera', 'video_game', 'video_recorder', 'videocassette', 'violin', 'virgo', 'vise', 'voicemail', 'volcano', 'volleyball', 'volume', 'vs', 'wait_one_second', 'walking', 'warm', 'warning', 'wastebasket', 'watch', 'water_buffalo', 'water_closet', 'water_drop', 'water_polo', 'watermelon', 'wave', 'wavy_dash', 'waxing_moon', 'wc', 'weary', 'weary_cat', 'web', 'wedding', 'weight_lift', 'welcome', 'west', 'whale', 'wheel_of_dharma', 'wheelchair', 'white_and_black_square', 'white_circle', 'white_flag', 'white_flower', 'white_large_square', 'white_medium_small_square', 'white_medium_square', 'white_small_square', 'wilted_flower', 'wind', 'wind_chime', 'windy', 'wine', 'wink', 'winner', 'wish', 'wish_tree', 'wolf', 'woman', 'women_couple', 'womens', 'woof', 'work_in_progress', 'work_out', 'working_on_it', 'world_map', 'worried', 'wrench', 'wrestling', 'writing', 'wrong', 'wrong_way', 'www', 'x', 'yacht', 'yam', 'yellow_heart', 'yen_banknotes', 'yin_yang', 'yum', 'zap', 'zero', 'zip_it', 'zzz'];

exports.name_to_codepoint = {'stuck_out_tongue': '1f61d', 'watermelon': '1f349', 'bunny': '1f430', 'goodnight': '1f31b', 'control_knobs': '1f39b', 'levitating': '1f574', 'drive_with_care': '1f6b8', 'home_phone': '1f4de', 'shrinking': '1f4c9', 'dress': '1f457', 'bikini': '1f459', 'approved': '2705', 'spider_web': '1f578', 'sound': '1f50a', 'santa': '1f385', 'iphone': '1f4f1', 'mountain_biker': '1f6b5', 'christianity': '271d', 'shaved_ice': '1f367', 'leo': '264c', 'shuffle': '1f500', 'anchor': '2693', 'moyai': '1f5ff', 'agent': '1f575', 'cucumber': '1f952', 'baby_chick': '1f424', 'kawaii': '1f4a0', 'badminton': '1f3f8', 'red_triangle_down': '1f53b', 'table_setting': '1f37d', 'dizzy': '1f635', 'danger': '26a0', 'petrol_pump': '26fd', 'upwards_trend': '1f4c8', 'subtract': '2796', 'living_room': '1f6cb', 'smile': '263a', 'receipt': '1f4c3', 'laptop': '1f4bb', 'cross': '271d', 'slot_machine': '1f3b0', 'chick': '1f424', 'fencing': '1f93a', 'subway': '1f687', 'horse': '1f40e', 'on': '1f51b', 'encrypted': '1f5dd', 'elephant': '1f418', 'shield': '1f6e1', 'division': '2797', 'sob': '1f62d', 'clink': '1f942', 'clothing': '1f45a', 'food': '1f372', 'horizontal_traffic_light': '1f6a5', 'owl': '1f989', 'striped_pole': '1f488', 'hamster': '1f439', 'confounded': '1f616', 'sealed': '1f4e9', 'prayer_beads': '1f4ff', 'prohibited': '1f6ab', 'place_of_worship': '1f6d0', 'speak_no_evil': '1f64a', 'ten': '1f51f', 'boo': '1f47b', 'paws': '1f43e', 'knife': '1f52a', 'losing_money': '1f4b8', 'evergreen_tree': '1f332', 'composition_book': '1f4d3', 'small_blue_diamond': '1f539', 'no_signal': '1f645', 'baggage_claim': '1f6c4', 'green_book': '1f4d7', 'fire_truck': '1f692', 'p': '1f17f', 'ruler': '1f4cf', 'blush': '1f60a', 'sunrise': '1f305', 'squared_up': '1f199', 'middle_finger': '1f595', 'inbox': '1f4e5', 'frowning': '1f626', 'right_hook': '21aa', 'crazy': '1f61c', 'double_up': '23eb', 'rowboat': '1f6a3', 'clap': '1f44f', 'engineer': '2699', 'megaphone': '1f4e3', '6': '0036-20e3', 'woof': '1f415', 'wedding': '1f492', 'left': '2b05', 'calf': '1f42e', 'rolling_eyes': '1f644', 'men_couple': '1f46c', 'snowy': '1f328', 'spock': '1f596', 'foggy': '1f301', 'oracle': '1f52e', 'tower': '1f5fc', 'eye': '1f441', 'canoe': '1f6f6', 'cherries': '1f352', 'rofl': '1f923', 'ghost': '1f47b', 'ear': '1f442', 'handbag': '1f45c', 'fox': '1f98a', 'spiral_notepad': '1f5d2', 'telescope': '1f52d', 'hinduism': '1f549', 'grumpy': '1f621', 'upvote': '1f53c', 'water_drop': '1f4a7', 'repeat': '1f501', 'open_mouth': '1f62e', 'rat': '1f400', 'pizza': '1f355', 'first_place': '1f947', 'book': '1f4d6', 'soft_ice_cream': '1f366', 'train': '1f682', 'high_brightness': '1f506', 'spaghetti': '1f35d', '0': '0030-20e3', 'hole_in_one': '26f3', 'beers': '1f37b', 'kiss_with_blush': '1f61a', 'lipstick_kiss': '1f48b', 'potable_water': '1f6b0', 'part_alternation': '303d', 'bird': '1f426', 'headlines': '1f4f0', 'hello': '1f44b', 'relaxed': '263a', 'paper': '1f4c4', 'caterpillar': '1f41b', 'candle': '1f56f', 'thumb_tack': '1f4cc', 'gear': '2699', '1': '0031-20e3', 'mobile_phone': '1f4f1', 'yam': '1f360', 'office_supplies': '1f587', 'coffin': '26b0', 'joy': '1f602', 'thunderstorm': '26c8', 'noodles': '1f35c', 'rose': '1f339', 'lantern': '1f3ee', 'money_face': '1f911', 'call_me': '1f919', 'bicycle': '1f6b2', 'playing_cards': '1f3b4', 'burrito': '1f32f', 'taurus': '2649', 'flan': '1f36e', 'sign_of_the_horns': '1f918', 'pass': '1f3ab', 'search': '1f50d', 'concerned': '1f615', 'harvest': '1f33e', 'avocado': '1f951', 'airplane_arrival': '1f6ec', 'light_bulb': '1f4a1', 'hot': '1f525', 'scared': '1f628', 'play_reverse': '25c0', 'bam': '1f4a2', 'donut': '1f369', 'celebration': '1f388', 'departure': '1f6eb', 'place_holder': '1f4d1', 'suburb': '1f3e1', 'tears': '1f602', 'nope': '1f645', 'cricket': '1f3cf', 'feet': '1f463', 'carrot': '1f955', 'time': '1f557', 'victory': '270c', 'ophiuchus': '26ce', 'rewind': '23ea', 'ng': '1f196', 'laughter_tears': '1f602', 'desert': '1f3dc', 'sleuth': '1f575', 'flower': '1f337', 'cyclist': '1f6b4', 'eggplant': '1f346', 'bento': '1f371', 'military_medal': '1f396', 'gift': '1f381', 'cupid': '1f498', 'play': '25b6', 'runner': '1f3c3', 'put_litter_in_its_place': '1f6ae', 'fear': '1f628', 'eyes': '1f440', 'timer': '23f2', 'cute': '1f4a0', 'ant': '1f41c', 'present': '1f381', 'bank': '1f3e6', 'blank': '1f636', 'rhinoceros': '1f98f', 'athletic_shoe': '1f45f', 'dark_sunglasses': '1f576', 'white_flower': '1f4ae', 'devil': '1f47f', 'small_glass': '1f943', 'purple_heart': '1f49c', 'framed_picture': '1f5bc', 'repeat_one': '1f502', 'tornado': '1f32a', 'white_small_square': '25ab', 'spades': '2660', 'shadow': '1f464', 'blow_a_kiss': '1f618', 'euro_banknotes': '1f4b6', 'football': '26bd', 'libra': '264e', 'ring': '1f48d', 'web': '1f578', 'red_circle': '1f534', 'fork_and_knife_with_plate': '1f37d', 'oncoming_bus': '1f68d', 'battery': '1f50b', 'turkey': '1f983', 'helmet': '26d1', 'goblin': '1f47a', 'island': '1f3dd', 'typhoon': '1f300', 'duel': '2694', 'point_of_information': '261d', 'palette': '1f3a8', 'curry': '1f35b', 'lock_with_key': '1f510', 'moon': '1f319', 'robot': '1f916', 'kitten': '1f431', 'drinking_water': '1f6b0', 'e-mail': '1f4e7', 'womens': '1f6ba', 'package': '1f4e6', 'camera': '1f4f7', 'strawberry': '1f353', 'wink': '1f609', 'mouth': '1f444', 'conch': '1f41a', 'funeral_urn': '26b1', 'expecting': '1f930', 'mail_received': '1f4e8', 'hush': '1f910', 'no_smoking': '1f6ad', 'double_down': '23ec', 'north_east': '2197', 'mountain_cableway': '1f6a0', 'tropical_drink': '1f379', 'oncoming_police_car': '1f694', 'fishing': '1f3a3', 'frosty': '26c4', 'factory': '1f3ed', 'construction': '1f3d7', 'airplane': '2708', 'hammer_and_wrench': '1f6e0', 'dragon': '1f409', 'senbei': '1f358', 'office': '1f3e2', 'caution': '26a0', 'commitment': '1f510', 'flip_flops': '1f461', 'scissors': '2702', 'umbrella_with_rain': '2614', 'ribbon': '1f380', 'dragon_face': '1f432', 'drum': '1f941', 'stopwatch': '23f1', 'moon_ceremony': '1f391', 'sports': '26f9', 'motorcycle': '1f3cd', 'sunset': '1f306', 'ledger': '1f4d2', 'purse': '1f45b', 'growing': '1f4c8', 'power': '270a', 'telephone': '260e', 'dove': '1f54a', 'skull_and_crossbones': '2620', 'dolls': '1f38e', 'saxophone': '1f3b7', 'sneezing': '1f927', 'wish_tree': '1f38b', 'snail': '1f40c', 'cocktail': '1f378', 'ice_hockey': '1f3d2', 'sewing_pin': '1f4cd', 'start': '1f3c1', 'guitar': '1f3b8', 'black_medium_square': '25fc', 'hurt': '1f915', 'mostly_sunny': '1f324', 'price_tag': '1f3f7', 'mens': '1f6b9', 'radio_button': '1f518', 'services': '1f6ce', 'kiss': '1f617', 'left_fist': '1f91b', 'naruto': '1f365', 'pill': '1f48a', 'high_speed_train': '1f684', 'memo': '1f4dd', 'goal': '1f945', 'chili_pepper': '1f336', 'fast_down': '23ec', 'wish': '1f320', 'cant_talk': '1f637', 'thought': '1f4ad', 'kimono': '1f458', 'bull': '1f402', 'confused': '1f615', 'disappointed_relieved': '1f625', 'paintbrush': '1f58c', 'fast_up': '23eb', 'eight': '0038-20e3', 'world_map': '1f5fa', 'station': '1f689', 'x': '274e', 'sort': '1f5c2', 'stuck_out_tongue_wink': '1f61c', 'rolodex': '1f4c7', 'seven': '0037-20e3', 'family': '1f46a', 'film': '1f39e', 'mail_sent': '1f4e9', 'rage': '1f621', 'ufo': '1f47d', 'ramen': '1f35c', 'police_car': '1f693', 'sandal': '1f461', 'pregnant': '1f930', 'immigration': '1f6c2', 'crab': '1f980', 'prince': '1f934', 'nose': '1f443', 'butterfly': '1f98b', 'wind_chime': '1f390', 'tiger': '1f405', 'coffee': '2615', 'angry': '1f620', 'crushed': '1f940', 'leaves': '1f343', 'motor_boat': '1f6e5', 'capital_abcd': '1f520', 'lets_eat': '1f37d', 'smartphone': '1f4f1', 'truck': '1f69b', 'unlocked': '1f513', 'weight_lift': '1f3cb', 'sweet_potato': '1f360', 'this': '1f446', 'tiger_cub': '1f42f', 'heartache': '1f494', 'return': '1f504', 'cd': '1f4bf', 'two': '0032-20e3', 'black_medium_small_square': '25fe', 'piano': '1f3b9', 'gym': '1f3cb', 'heading_down': '2935', 'denim': '1f456', 'siren': '1f6a8', 'high_heels': '1f460', 'forward': '21aa', 'five': '0035-20e3', 'children_crossing': '1f6b8', 'joystick': '1f579', 'alchemy': '2697', 'light_rail': '1f688', 'meow': '1f408', 'video_camera': '1f4f9', 'cremation': '26b1', 'camping': '26fa', 'king': '1f451', 'six': '0036-20e3', 'elderly_woman': '1f475', 'balance': '2696', 'atom': '269b', 'cat': '1f408', 'tropical_fish': '1f420', 'dango': '1f361', 'open_hands': '1f450', 'level_slider': '1f39a', 'soccer': '26bd', 'chart': '1f4c8', 'ballpoint_pen': '1f58a', 'haunted': '1f47b', 'science': '1f52c', 'tshirt': '1f455', 'south': '2b07', 'cooking': '1f373', 'double_loop': '27bf', 'oncoming_trolley': '1f68a', 'queasy': '1f922', 'sos': '1f198', 'orange_book': '1f4d9', 'tomato': '1f345', '3': '0033-20e3', 'bookmark': '1f516', 'astonished': '1f632', 'toxic': '2620', 'android': '1f4f1', 'candy': '1f36c', 'smirk_cat': '1f63c', 'popcorn': '1f37f', 'tempura': '1f364', 'fortune_telling': '1f52e', 'newspaper': '1f5de', 'shoe': '1f45e', 'sake': '1f376', 'straightedge': '1f4cf', 'big_smile': '1f604', 'mail_dropoff': '1f4ee', 'tulip': '1f337', 'radio': '1f4fb', 'settings': '2699', 'speechless': '1f636', 'point_left': '1f448', 'kaching': '1f911', 'dagger': '1f5e1', 'tap_water': '1f6b0', 'burial': '26b0', 'streetcar': '1f68b', 'joker': '1f0cf', 'volleyball': '1f3d0', 'bug': '1f41b', 'debit_card': '1f4b3', 'check': '2705', 'bridge': '1f309', 'anguish': '1f62b', 'mortar_board': '1f393', 'push_pin': '1f4cc', 'crying_cat': '1f63f', 'in_love': '1f60d', 'triangular_flag': '1f6a9', 'hourglass': '23f3', 'oh_no': '1f615', 'drooling': '1f924', 'checkbox': '2611', 'water_closet': '1f6be', 'locked': '1f512', 'oncoming_taxi': '1f696', 'new': '1f195', 'four': '0034-20e3', 'safety_first': '26d1', 'beetle': '1f41e', 'injured': '1f915', 'moving_truck': '1f69a', 'bulb': '1f4a1', 'commodities': '1f6e2', 'counterclockwise': '1f504', 'furniture': '1f6cb', 'sprout': '1f331', 'mountain': '26f0', 'chestnut': '1f330', 'customs': '1f6c3', 'paperclip_chain': '1f587', 'campsite': '1f3d5', 'swat': '1f5de', 'geek': '1f913', 'rainbow': '1f308', 'electric_plug': '1f50c', 'black_belt': '1f94b', 'wolf': '1f43a', 'cinema': '1f3a6', 'sunshowers': '1f326', 'lifestyles': '1f6cb', 'ticket': '1f39f', 'woman': '1f469', 'key': '1f511', 'meal': '1f37d', 'bee': '1f41d', 'penguin': '1f427', 'tent': '26fa', 'play_pause': '23ef', 'small_airplane': '1f6e9', 'plant': '1f33f', 'winner': '1f3c6', 'car': '1f697', 'angry_devil': '1f47f', 'red_triangle_up': '1f53a', 'circle': '2b55', 'panda': '1f43c', 'man': '1f468', 'grey_question': '2754', 'spiral_shell': '1f41a', 'date': '1f4c6', 'cookie': '1f36a', 'love_you': '2764', 'hammer_and_pick': '2692', 'wait_one_second': '261d', 'buzz': '1f41d', 'oops': '1f643', 'airplane_departure': '1f6eb', 'orthodox_cross': '2626', 'minidisc': '1f4bd', 'transport_truck': '1f69b', 'silence': '1f910', 'jack-o-lantern': '1f383', 'underage': '1f51e', 'fingers_crossed': '1f91e', 'elevated_train': '1f69d', 'upper_right': '2197', 'bear': '1f43b', 'vertical_traffic_light': '1f6a6', 'decrease': '1f53d', 'tea': '1f375', 'dream': '1f4ad', 'record': '23fa', 'silhouette': '1f464', 'hand': '270b', 'stuffed_flatbread': '1f959', 'dungeon': '1f5dd', 'arrival': '1f6ec', 'poodle': '1f429', 'vs': '1f19a', 'find': '1f50d', 'two_men_holding_hands': '1f46c', 'crystal': '1f48e', 'new_moon_face': '1f31a', 'cl': '1f191', 'idea': '1f4a1', 'bath': '1f6c0', 'big_frown': '2639', 'squared_ok': '1f197', 'apple': '1f34e', 'previous_track': '23ee', 'barber': '1f488', 'pisces': '2653', 'head_bandage': '1f915', 'cross_mark': '274c', 'cloudy': '1f325', 'grinning_face_with_smiling_eyes': '1f601', 'fireworks': '1f386', 'rideshare': '1f695', 'loudspeaker': '1f4e2', 'darts': '1f3af', 'parking': '1f17f', 'poison': '2620', 'horse_racing': '1f3c7', 'left_right': '2194', 'shadows': '1f465', 'breakfast': '1f95e', 'raised_hand': '270b', 'wind': '1f343', 'no_mail': '1f4ed', 'picture': '1f5bc', 'unicorn': '1f984', 'neutral': '1f610', 'raising_hand': '1f64b', 'times_up': '231b', 'sagittarius': '2650', 'mother_christmas': '1f936', 'aquarius': '2652', 'angry_cat': '1f63e', 'hot_springs': '2668', 'folder': '1f4c2', 'snowman': '2603', 'octopus': '1f419', 'shark': '1f988', 'running_shoe': '1f45f', 'landing': '1f6ec', 'bar_chart': '1f4ca', 'bulls_eye': '1f3af', 'tanabata_tree': '1f38b', 'heartbeat': '1f493', 'non-potable_water': '1f6b1', 'scooter': '1f6f5', 'handball': '1f93e', 'increase': '1f53c', 'abc': '1f524', 'church': '26ea', 'paw_prints': '1f43e', 'document': '1f4c4', 'cloud': '2601', '-1': '1f44e', 'snowy_mountain': '1f3d4', 'atm': '1f3e7', 'mountain_railway': '1f69e', 'outbox': '1f4e4', 'all_good': '2705', 'expressionless': '1f611', 'oil_drum': '1f6e2', 'white_flag': '1f3f3', 'night': '1f303', 'bouquet': '1f490', 'castle': '1f3f0', 'ambulance': '1f691', 'fog': '1f32b', 'vise': '1f5dc', 'mountain_sunrise': '1f304', 'shock': '1f628', 'monkey_face': '1f435', 'flu': '1f912', 'label': '1f3f7', 'helpless': '1f623', 'capital_letters': '1f520', 'mushroom': '1f344', 'hushed': '1f62f', 'downvote': '1f53d', 'dollars': '1f4b2', 'graduate': '1f393', 'pirate': '2620', 'speedboat': '1f6a4', 'tortoise': '1f422', 'handyman': '1f528', 'weary_cat': '1f640', 'page': '1f4c4', 'physics': '269b', 'end': '1f51a', 'explosion': '1f4a5', 'onigiri': '1f359', 'free': '1f193', 'hiss': '1f40d', 'space_invader': '1f47e', 'flipper': '1f42c', 'swap': '2194', 'info': '2139', 'mask': '1f637', 'projector': '1f4fd', 'maintenance': '1f528', 'softer': '1f509', 'strike': '1f3b3', 'applause': '1f44f', 'derelict_house': '1f3da', 'gift_heart': '1f49d', 'warm': '1f321', 'fountain_pen': '1f58b', 'add': '2795', 'right': '27a1', 'bus': '1f68c', 'got_it': '1f44c', 'clock': '1f557', 'police': '1f46e', 'bamboo': '1f38d', 'black_small_square': '25aa', 'signal_strength': '1f4f6', 'betrayed': '1f52a', 'blossom': '1f33c', 'a': '1f170', 'third_place': '1f949', 'holiday_tree': '1f384', 'signal_bars': '1f4f6', 'exhausted': '1f625', 'mail': '2709', 'no_sound': '1f507', 'easy_come_easy_go': '1f4b8', 'green_heart': '1f49a', 'drop': '1f4a7', 'magnifying_glass': '1f50d', 'heart_kiss': '1f618', 'pray': '1f64f', 'hocho': '1f52a', 'soaked': '1f327', 'laughing': '1f606', 'divide': '2797', 'white_large_square': '2b1c', 'distraught': '1f629', 'vibration_mode': '1f4f3', 'skyline': '1f3d9', 'sparkler': '1f387', 'hourglass_done': '231b', 'gold': '1f947', 'musical_keyboard': '1f3b9', 'selfie': '1f933', 'dormouse': '1f42d', 'mailbox': '1f4eb', 'comet': '2604', 'tools': '1f6e0', 'hash': '0023-20e3', 'love_letter': '1f48c', 'whale': '1f433', 'ice_cream': '1f368', 'surf': '1f3c4', 'shiro': '1f3ef', 'hazard': '2620', 'smitten': '1f498', 'umbrella': '2602', 'secret': '1f5dd', 'joking': '1f61c', 'nursery': '1f6bc', 'medicine': '1f48a', 'ok_signal': '1f646', 'snowflake': '2744', 'hundred': '1f4af', 'ladybug': '1f41e', 'do_not_litter': '1f6af', 'footprints': '1f463', 'medal': '1f3c5', 'ice_skate': '26f8', 'say_cheese': '1f4f8', 'golf': '1f3cc', 'peach': '1f351', 'shopping_bags': '1f6cd', 'accessible': '267f', 'oncoming_tram': '1f68a', 'stop_button': '23f9', 'bedroom': '1f6cf', 'guard': '1f482', 'dash': '1f4a8', 'high_voltage': '26a1', 'worried': '1f61f', 'silhouettes': '1f465', 'notebook': '1f4d3', 'potato': '1f954', 'white_medium_square': '25fb', 'locker': '1f6c5', 'paella': '1f958', 'poultry': '1f357', 'tm': '2122', 'information_desk_person': '1f481', 'mute_notifications': '1f515', 'cell_reception': '1f4f6', 'heart_exclamation': '2763', 'seat': '1f4ba', 'trademark': '2122', 'izakaya_lantern': '1f3ee', 'two_hearts': '1f495', 'keyboard': '2328', 'musical_notes': '1f3b6', 'temperature': '1f321', 'steam_locomotive': '1f682', 'japan': '1f5fe', 'acrobatics': '1f938', 'disappointed': '1f61e', 'duck': '1f986', 'hamburger': '1f354', 'lgbtq': '1f308', 'work_in_progress': '1f6a7', 'vhs': '1f4fc', 'ab': '1f18e', 'gelato': '1f368', 'scorpius': '264f', 'water_buffalo': '1f403', '5': '0035-20e3', 'convenience_store': '1f3ea', 'night_sky': '1f30c', 'boom': '1f4a5', 'fish': '1f41f', 'pear': '1f350', 'sparkles': '2728', 'trumpet': '1f3ba', 'field_hockey': '1f3d1', 'wavy_dash': '3030', 'baby_change_station': '1f6bc', 'crocodile': '1f40a', '2': '0032-20e3', 'windy': '1f32c', 'wilted_flower': '1f940', 'koala': '1f428', 'rice_cracker': '1f358', 'trolley': '1f68e', 'carp_streamer': '1f38f', 'black_large_square': '2b1b', 'glamour': '2728', 'baseball': '26be', 'justice': '2696', 'face_palm': '1f926', 'train_tracks': '1f6e4', 'lemon': '1f34b', 'sparkling_heart': '1f496', 'chicken': '1f414', 'bell': '1f514', 'running': '1f3c3', 'top': '1f51d', 'black_flag': '1f3f4', 'dvd': '1f4c0', 'pin': '1f4cd', 'left_hook': '21a9', 'kiss_smiling_eyes': '1f619', 'minus': '2796', 'ox': '1f402', 'goat': '1f410', 'door': '1f6aa', 'princess': '1f478', 'yum': '1f60b', 'grave': '26b0', 'soft_serve': '1f366', 'bowling': '1f3b3', 'movie_theater': '1f3a6', 'boat': '26f5', 'credit_card': '1f4b3', 'tuxedo': '1f935', 'toast': '1f942', 'sleepy': '1f62a', 'baguette': '1f956', 'table_tennis': '1f3d3', 'increasing': '1f4c8', 'bow_and_arrow': '1f3f9', 'money_with_wings': '1f4b8', 'fries': '1f35f', 'person_pouting': '1f64e', 'lower_left': '2199', 'east': '27a1', 'menorah': '1f54e', 'bathtub': '1f6c1', 'point_up': '1f446', 'happy': '1f600', 'shrug': '1f937', 'halo': '1f607', 'closed_book': '1f4d5', 'haircut': '1f487', 'red_book': '1f4d5', 'grinning': '1f600', 'lightning_storm': '1f329', 'tractor-trailer': '1f69b', 'video_game': '1f3ae', 'birthday': '1f382', 'locked_bag': '1f6c5', 'chipmunk': '1f43f', 'sushi': '1f363', 'buddhism': '2638', 'desktop_computer': '1f5a5', 'down': '2b07', 'bat': '1f987', 'hint': '1f5dd', 'art': '1f3a8', 'women_couple': '1f46d', 'maize': '1f33d', 'gondola': '1f6a0', 'revolving_hearts': '1f49e', 'dancers': '1f46f', 'peace_sign': '270c', 'collision': '1f4a5', 'judiasm': '2721', 'older_man': '1f474', 'detective': '1f575', 'tumbling': '1f938', 'cancer': '264b', 'key_signing': '1f50f', 'anguished': '1f627', 'horn': '1f4ef', 'flame': '1f525', 'satchel': '1f392', 'city_sunrise': '1f307', 'oncoming_train': '1f686', 'wheel_of_dharma': '2638', 'hear_no_evil': '1f649', 'thumbs_up': '1f44d', 'shower': '1f6bf', 'south_east': '2198', 'snake': '1f40d', 'large_orange_diamond': '1f536', 'grimacing': '1f62c', 'japan_post': '1f3e3', 'bow': '1f647', 'globe': '1f310', 'heart_of_gold': '1f49b', 'paperclip': '1f4ce', 'sunflower': '1f33b', 'exchange': '1f4b1', 'mantelpiece_clock': '1f570', 'invincible': '26d1', 'top_hat': '1f3a9', 'statue': '1f5fd', 'dice': '1f3b2', 'yellow_heart': '1f49b', 'silver': '1f948', 'fountain': '26f2', 'dolphin': '1f42c', 'national_park': '1f3de', 'attachment': '1f4ce', 'linked': '1f587', 'islam': '262a', 'honeybee': '1f41d', 'sad': '2639', 'peace': '262e', 'low_brightness': '1f505', 'tram': '1f68b', 'music': '1f3b5', 'shawarma': '1f959', 'aerial_tramway': '1f6a1', 'dollar_bills': '1f4b5', 'lion': '1f981', 'skip_back': '23ee', 'pile_of_poo': '1f4a9', 'race': '1f3c1', 'hurricane': '1f300', 'monorail': '1f69d', 'boot': '1f462', 'up_button': '1f53c', 'frog': '1f438', 'baby': '1f476', 'hole': '1f573', 'corn': '1f33d', 'sweat': '1f613', 'pancakes': '1f95e', 'palm_tree': '1f334', 'clockwise': '1f503', 'abcd': '1f521', 'rocket': '1f680', 'pig': '1f416', 'turtle': '1f422', 'reminder_ribbon': '1f397', 'imp': '1f47f', 'kiwi': '1f95d', 'very_angry': '1f621', 'chocolate': '1f36b', 'asterisk': '002a-20e3', 'merry_go_round': '1f3a0', 'three': '0033-20e3', 'done_deal': '1f91d', 'tie': '1f454', 'boy': '1f466', 'second_place': '1f948', 'small_orange_diamond': '1f538', 'fallen_leaf': '1f342', 'painting': '1f3a8', 'skier': '26f7', 'tongue': '1f445', 'condemned': '1f3da', 'hospital': '1f3e5', 'phone_off': '1f4f4', 'pool': '1f3b1', 'arms_open': '1f917', 'crash': '1f4a5', 'note': '1f4dd', 'fire': '1f525', 'rosette': '1f3f5', 'smiley_cat': '1f63a', 'snowboarder': '1f3c2', 'dancer': '1f483', 'face_with_thermometer': '1f912', 'incorrect': '274c', 'vase': '1f3fa', 'volume': '1f39a', 'stressed': '1f625', 'basketball': '1f3c0', 'eight_pointed_star': '2734', 'rescue_worker': '26d1', 'queen': '1f451', 'gymnastics': '1f938', 'ski': '1f3bf', 'reception': '1f6ce', '1234': '1f522', 'tada': '1f389', 'lift': '1f3cb', 'oncoming_automobile': '1f698', 'backpack': '1f392', 'smoking': '1f6ac', 'triumph': '1f624', 'weary': '1f629', 'solidarity': '1f38c', 'movie': '1f4fd', 'heart_eyes': '1f60d', 'stock_market': '1f4b9', 'ocean': '1f30a', 'baby_bottle': '1f37c', 'full_moon': '1f315', '7': '0037-20e3', 'moon_face': '1f31d', 'sunny': '2600', 'crystal_ball': '1f52e', 'ski_lift': '1f6a1', 'nuclear': '2622', 'clubs': '2663', 'ship': '1f6a2', 'rooster': '1f413', 'future': '1f52e', 'billiards': '1f3b1', 'handywoman': '1f528', 'horse_riding': '1f3c7', 'hibiscus': '1f33a', 'no_phones': '1f4f5', 'city': '1f3d9', 'drenched': '1f327', 'blushing': '1f633', 'nc17': '1f51e', 'bangbang': '203c', 'white_medium_small_square': '25fd', 'grapes': '1f347', 'disco': '1f57a', 'volcano': '1f30b', 'pony': '1f434', 'sun_face': '1f31e', 'gua_pi_mao': '1f472', 'waxing_moon': '1f314', 'musical_score': '1f3bc', 'spider': '1f577', 'cop': '1f46e', 'older_woman': '1f475', 'phone': '260e', 'headphones': '1f3a7', 'live_long_and_prosper': '1f596', 'alarm': '1f413', 'soup': '1f372', 'voicemail': '27bf', 'pensive': '1f614', 'brightness': '1f506', 'cartwheel': '1f938', 'partly_sunny_with_rain': '1f326', 'tree': '1f333', 'scientist': '1f52c', 'alembic': '2697', 'seashell': '1f41a', 'green_apple': '1f34f', 'salad': '1f957', 'alphabet': '1f521', 'sailboat': '26f5', 'pained': '1f627', 'time_ticking': '23f3', 'suspension_railway': '1f69f', 'bomb': '1f4a3', 'croissant': '1f950', 'puppy': '1f436', 'crew': '1f6a3', 'anxious': '1f62c', 'diamond_with_a_dot': '1f4a0', 'swords': '2694', 'hotel': '1f3e8', 'clue': '1f5dd', 'file': '1f4c4', 'chains': '26d3', 'bride': '1f470', 'nauseated': '1f922', 'fast_reverse': '23ea', 'wrong_way': '26d4', 'pedestrian': '1f6b6', 'white_circle': '26aa', 'downwards_trend': '1f4c9', 'praise': '1f64c', '8_ball': '1f3b1', 'punch': '1f44a', 'north': '2b06', 'honey': '1f36f', 'archery': '1f3f9', 'writing': '270d', 'agony': '1f616', 'symbols': '1f523', 'black_heart': '1f5a4', 'ram': '1f40f', 'scales': '2696', 'recycle': '267b', 'swim': '1f3ca', 'one': '0031-20e3', 'glowing_star': '1f31f', 'watch': '231a', 'back': '1f519', 'map': '1f5fa', 'elderly_man': '1f474', 'action': '1f3ac', 'snowstorm': '1f328', 'new_baby': '1f425', 'disabled': '267f', 'boar': '1f417', 'ballot_box': '1f5f3', 'railway_car': '1f683', 'up_down': '2195', 'restroom': '1f6bb', 'semi_truck': '1f69b', 'shinto_shrine': '26e9', 'bacon': '1f953', 'anger': '1f4a2', 'water_polo': '1f93d', 'leopard': '1f406', 'lying': '1f925', 'lol': '1f606', 'kissing_cat': '1f63d', 'pumpkin': '1f383', 'pouch': '1f45d', 'recreational_vehicle': '1f699', 'check_mark': '2714', 'umm': '1f4ac', 'overcast': '2601', 'kick_scooter': '1f6f4', 'nine': '0039-20e3', 'eagle': '1f985', 'lower_right': '2198', 'slight_smile': '1f642', 'syringe': '1f489', 'mischievous': '1f61b', 'dancing': '1f57a', 'seedling': '1f331', 'bed': '1f6cf', 'hover': '1f574', 'injection': '1f489', 'satellite_antenna': '1f4e1', 'number_one': '1f947', 'yen_banknotes': '1f4b4', 'crossed_flags': '1f38c', 'videocassette': '1f4fc', 'american_football': '1f3c8', 'calling': '1f4f2', 'protected': '1f50f', 'wastebasket': '1f5d1', 'clipboard': '1f4cb', 'die': '1f3b2', 'gold_record': '1f4bd', 'joy_cat': '1f639', 'palm': '1f590', 'death': '2620', 'metro': '24c2', 'upside_down': '1f643', 'shrimp': '1f990', 'innocent': '1f607', 'loyalty': '1f510', 'books': '1f4da', 'om': '1f549', '100': '1f4af', 'man_and_woman_couple': '1f46b', 'lucky': '1f340', 'blowfish': '1f421', 'oden': '1f362', 'old_key': '1f5dd', 'pen': '1f58a', 'rotating_light': '1f6a8', 'drama': '1f3ad', 'lips_are_sealed': '1f910', 'partly_cloudy': '26c5', 'shell': '1f41a', 'mad': '1f621', 'love_hotel': '1f3e9', 'bread': '1f35e', 'quiet': '1f910', 'pig_nose': '1f43d', 'white_and_black_square': '1f532', 'cricket_bat': '1f3cf', 'computer_mouse': '1f5b1', 'email': '2709', 'heading_up': '2934', 'poker_face': '1f636', 'blue_heart': '1f499', 'sunglasses': '1f60e', 'racecar': '1f3ce', 'rainy': '1f327', 'roller_coaster': '1f3a2', 'spoon': '1f944', 'deciduous_tree': '1f333', 'party_ball': '1f38a', '4': '0034-20e3', 'beer': '1f37a', 'see_no_evil': '1f648', 'surrender': '1f3f3', 'new_york': '1f5fd', 'secure': '1f510', 'sweat_drops': '1f4a6', 'hard_hat': '26d1', 'archive': '1f5c3', 'violin': '1f3bb', 'mount_fuji': '1f5fb', 'stadium': '1f3df', 'wine': '1f377', 'calendar': '1f4c5', 'cowboy': '1f920', 'not_allowed': '1f6ab', 'hat': '1f452', 'glasses': '1f453', 'checkered_flag': '1f3c1', 'money': '1f4b0', 'hungry': '1f37d', 'sneaker': '1f45f', 'two_women_holding_hands': '1f46d', 'fist_bump': '1f44a', 'trackball': '1f5b2', 'point_down': '1f447', 'floppy_disk': '1f4be', 'spectacles': '1f453', 'alert': '1f6a8', 'trophy': '1f3c6', 'point_right': '1f449', 'namaste': '1f64f', 'welcome': '1f64f', 'thumbs_down': '1f44e', 'monkey': '1f412', 'gorilla': '1f98d', 'hotdog': '1f32d', 'loop': '27b0', 'pound_notes': '1f4b7', 'bellhop_bell': '1f6ce', 'oncoming_car': '1f698', 'taking_a_picture': '1f4f8', 'glass_of_milk': '1f95b', 'clover': '2618', 'movie_camera': '1f3a5', 'seeing_stars': '1f4ab', 'fax': '1f4e0', 'scroll': '1f4dc', 'go': '1f3c1', 'speaker': '1f508', 'lightning': '1f329', 'scream_cat': '1f640', 'blue_book': '1f4d8', 'carousel': '1f3a0', 'rated_for_violence': '1f5e1', 'decreasing': '1f4c9', 'no_bicycles': '1f6b3', 'star': '2b50', 'mic': '1f3a4', 'skull': '1f480', 'high_five': '1f590', '8': '0038-20e3', 'fast_forward': '23e9', 'post_office': '1f3e4', 'nerd': '1f913', 'no_entry': '26d4', 'motor_bike': '1f6f5', 'next_track': '23ed', 'fire_engine': '1f692', 'id': '1f194', 'frown': '1f641', 'fixing': '1f527', 'cold_sweat': '1f630', 'custard': '1f36e', 'rolling_on_the_floor_laughing': '1f923', 'wrestling': '1f93c', 'screw': '1f529', '10': '1f51f', 'speech_balloon': '1f4ac', 'heart_pulse': '1f497', 'stew': '1f372', 'numbers': '1f522', 'ding': '1f6ce', 'partly_sunny': '26c5', 'kaaba': '1f54b', 'arcade': '1f579', 'speaking_head': '1f5e3', 'toilet': '1f6bd', 'helicopter': '1f681', 'carpenter_square': '1f4d0', 'jeans': '1f456', 'theater': '1f3ad', 'beginner': '1f530', 'warning': '26a0', 'biohazard': '2623', 'oink': '1f416', 'souvlaki': '1f959', 'hazy': '1f32b', 'doughnut': '1f369', 'black_and_white_square': '1f533', 'meat': '1f356', 'baa': '1f411', 'pineapple': '1f34d', 'wrench': '1f527', 'gas_pump': '26fd', 'zero': '0030-20e3', 'school_bus': '1f68c', 'tennis': '1f3be', 'mother_nature': '1f32c', 'gemini': '264a', 'work_out': '1f3cb', 'mute': '1f507', 'star_of_david': '2721', 'cool': '1f192', 'heart': '2764', 'nervous': '1f62c', 'passport_control': '1f6c2', 'embarrassed': '1f633', 'egg': '1f95a', 'broken_heart': '1f494', 'bravery': '1f49c', 'speech_bubble': '1f5e8', 'maple_leaf': '1f341', 'scorpion': '1f982', 'martial_arts': '1f94b', 'skip_forward': '23ed', 'smiling_face_with_horns': '1f608', 'o': '1f17e', 'cluck': '1f414', 'slight_frown': '1f641', 'cheese': '1f9c0', 'shirt': '1f455', 'looking': '1f440', 'thinking': '1f914', 'half_frown': '1f615', 'passenger_ship': '1f6f3', 'construction_zone': '1f6a7', 'persevere': '1f623', 'cock-a-doodle-doo': '1f413', 'reply': '21a9', 'multiplication': '2716', 'b': '1f171', 'new_moon': '1f311', 'shopping_trolley': '1f6d2', 'no_mouth': '1f636', 'ball': '26f9', 'school_crossing': '1f6b8', 'safe': '1f510', 'envy': '1f49a', 'dogi': '1f94b', 'crown': '1f451', 'notifications': '1f514', 'taxi': '1f695', 'massage': '1f486', 'performing_arts': '1f3ad', 'oncoming_streetcar': '1f68a', 'flushed': '1f633', 'arabian_camel': '1f42a', 'big_rig': '1f69b', 'juggling': '1f939', 'empty_mailbox': '1f4ed', 'keikogi': '1f94b', 'heart_arrow': '1f498', 'soon': '1f51c', 'lips': '1f444', 'gooooooooal': '1f945', 'taco': '1f32e', 'mahjong': '1f004', 'exclamation': '2757', 'pouting_cat': '1f63e', 'mosque': '1f54c', 'file_folder': '1f4c1', 'thermometer': '1f321', 'microscope': '1f52c', 'blue_circle': '1f535', 'link': '1f517', 'double_exclamation': '203c', 'rowing': '1f6a3', 'cruise': '1f6f3', 'aries': '2648', 'pencil': '270f', 'walking': '1f6b6', 'shopping_cart': '1f6d2', 'gem': '1f48e', 'multiply': '2716', 'closed_umbrella': '1f302', 'mechanical': '2699', 'inbox_zero': '1f4ed', 'house': '1f3e0', 'west': '2b05', 'earth_africa': '1f30d', 'hi': '1f44b', 'wheelchair': '267f', 'drumstick': '1f357', 'bronze': '1f949', 'confetti': '1f38a', 'houses': '1f3d8', 'zap': '26a1', 'running_shirt': '1f3bd', 'sparkle': '2747', 'wave': '1f44b', 'sculling': '1f6a3', 'boxing_glove': '1f94a', 'circus': '1f3aa', 'open_book': '1f4d6', 'working_on_it': '1f6e0', 'mandarin': '1f34a', 'privacy': '1f50f', 'north_west': '2196', 'rice': '1f35a', 'satellite': '1f6f0', 'shout': '1f4e3', 'person_frowning': '1f64d', 'statue_of_liberty': '1f5fd', 'pick': '26cf', 'muscle': '1f4aa', 'digital_security': '1f50f', 'lipstick': '1f484', 'sheep': '1f411', 'unamused': '1f612', 'lizard': '1f98e', 'stop_sign': '1f6d1', 'name_badge': '1f4db', 'fist': '270a', 'shooting_star': '1f320', 'sweat_smile': '1f605', 'train_car': '1f683', 'video_recorder': '1f4f9', 'zip_it': '1f910', 'down_button': '1f53d', 'direct_hit': '1f3af', '9': '0039-20e3', 'virgo': '264d', 'decoration': '1f380', 'ok': '1f44c', 'beach': '1f3d6', 'cherry_blossom': '1f338', 'triangular_ruler': '1f4d0', 'mine': '26cf', 'department_store': '1f3ec', 'deer': '1f98c', 'printer': '1f5a8', 'ping_pong': '1f3d3', 'asking_a_question': '261d', 'accommodations': '1f6cc', 'no_pedestrians': '1f6b7', 'humpback_whale': '1f40b', 'full_battery': '1f50b', 'tag': '1f3f7', 'grey_exclamation': '2755', 'fall': '1f343', 'alarm_clock': '23f0', 'at_work': '2692', 'pager': '1f4df', 'shamrock': '2618', 'pick_me': '1f64b', 'cake': '1f370', 'sun_and_rain': '1f326', 'm': '24c2', 'gecko': '1f98e', 'earth_americas': '1f30e', 'doner_kebab': '1f959', 'ear_of_rice': '1f33e', 'meteor': '2604', 'computer': '1f4bb', 'motorway': '1f6e3', 'orange': '1f34a', 'cactus': '1f335', 'growing_heart': '1f497', 'smug_cat': '1f63c', 'thunder_and_rain': '26c8', 'rugby': '1f3c9', 'person_tipping_hand': '1f481', 'smiling_devil': '1f608', 'hot_pepper': '1f336', 'bullhorn': '1f4e2', 'hearts': '2665', 'dove_of_peace': '1f54a', 'amphora': '1f3fa', 'relieved': '1f60c', 'eating_utensils': '1f374', 'right_fist': '1f91c', 'school': '1f3eb', 'spiral_notebook': '1f4d2', 'couch_and_lamp': '1f6cb', 'compression': '1f5dc', 'sleeping': '1f634', 'hug': '1f917', 'hatching_chick': '1f423', 'smile_cat': '1f638', 'poop': '1f4a9', 'cyclone': '1f300', 'file_cabinet': '1f5c4', 'banana': '1f34c', 'capricorn': '2651', 'yacht': '1f6f3', 'gun': '1f52b', 'dog': '1f415', 'nut_and_bolt': '1f529', 'fuel_pump': '26fd', 'trash_can': '1f5d1', 'squid': '1f991', 'angel': '1f47c', 'wrong': '274c', 'heart_box': '1f49f', 'sneaky': '1f575', 'thank_you': '1f64f', 'camel': '1f42b', 'question': '2753', 'scream': '1f631', 'take_off': '1f6eb', 'dim': '1f505', 'construction_worker': '1f477', 'raised_hands': '1f64c', 'south_west': '2199', 'mike': '1f3a4', 'girl': '1f467', 'heart_eyes_cat': '1f63b', 'microphone': '1f3a4', 'ogre': '1f479', 'cry': '1f622', 'guestrooms': '1f6cc', 'bus_stop': '1f68f', 'man_and_woman_holding_hands': '1f46b', 'handshake': '1f91d', 'briefcase': '1f4bc', 'ferris_wheel': '1f3a1', 'synagogue': '1f54d', 'classical_building': '1f3db', 'decorative_notebook': '1f4d4', 'smiling_imp': '1f608', 'rock_on': '1f918', 'milk': '1f95b', 'radioactive': '2622', 'sick': '1f912', 'ferry': '26f4', 'in_bed': '1f6cc', 'pow': '1f4a2', 'tractor': '1f69c', 'rock_carving': '1f5ff', 'pride': '1f308', 'zzz': '1f4a4', 'fork_and_knife': '1f374', 'yin_yang': '262f', 'up': '2b06', 'tangerine': '1f34a', 'unread_mail': '1f4ec', 'road_trip': '1f5fa', 'large_blue_diamond': '1f537', 'smiley': '1f603', 'flashlight': '1f526', 'hammer': '1f528', 'fleur_de_lis': '269c', 'mrs_claus': '1f936', 'tired': '1f614', 'studio_microphone': '1f399', 'balloon': '1f388', 'surprise': '1f62e', 'melon': '1f348', 'tv': '1f4fa', 'eight_spoked_asterisk': '2733', 'four_leaf_clover': '1f340', 'alien': '1f47d', 'wc': '1f6be', 'envelope': '2709', 'champagne': '1f37e', 'bike': '1f6b2', 'clown': '1f921', 'peanuts': '1f95c', '+1': '1f44d', 'road': '1f6e3', 'earth_asia': '1f30f', 'lollipop': '1f36d', 'piglet': '1f437', 'closed_mailbox': '1f4ea', 'railway_track': '1f6e4', 'traffic_light': '1f6a6', 'diamonds': '2666', 'spy': '1f575', 'ocean_sunrise': '1f305', 'milky_way': '1f30c', 'minibus': '1f690', 'lit': '1f525', 'smirk': '1f60f', 'rabbit': '1f407', 'turban': '1f473', 'spooky': '1f47b', 'trident': '1f531', 'star_and_crescent': '262a', 'mouse': '1f401', 'organize': '1f4c1', 'jeep': '1f699', 'www': '1f310', 'television': '1f4fa', 'hatching': '1f423', 'congratulations': '1f389', 'plus': '2795', 'landline': '1f4de', 'card_index': '1f4c7', 'smug': '1f60f', 'interrobang': '2049', 'flags': '1f38f', 'octagonal_sign': '1f6d1', 'nail_care': '1f485', 'stop': '1f91a', 'louder': '1f50a', 'crayon': '1f58d', 'bullet_train': '1f685', 'upper_left': '2196', 'herb': '1f33f', 'pause': '23f8', 'anger_bubble': '1f5ef', 'love': '2764', 'beach_umbrella': '26f1', 'cow': '1f404', 'tokyo_tower': '1f5fc', 'nail_polish': '1f485', 'black_circle': '26ab'};

exports.codepoint_to_name = {'1f6b3': 'no_bicycles', '1f392': 'backpack', '1f41d': 'bee', '1f49e': 'revolving_hearts', '1f448': 'point_left', '1f338': 'cherry_blossom', '1f914': 'thinking', '0023-20e3': 'hash', '1f453': 'glasses', '2196': 'upper_left', '1f34a': 'orange', '1f62f': 'hushed', '1f633': 'flushed', '1f4eb': 'mailbox', '1f686': 'oncoming_train', '1f6f5': 'scooter', '1f380': 'ribbon', '1f474': 'older_man', '1f32c': 'windy', '1f6a8': 'siren', '1f538': 'small_orange_diamond', '1f42f': 'tiger_cub', '1f4ff': 'prayer_beads', '1f579': 'joystick', '1f339': 'rose', '1f631': 'scream', '1f38f': 'carp_streamer', '2139': 'info', '1f52a': 'knife', '1f431': 'kitten', '1f49c': 'purple_heart', '1f93a': 'fencing', '264f': 'scorpius', '26f3': 'hole_in_one', '1f923': 'rolling_on_the_floor_laughing', '2705': 'check', '1f53a': 'red_triangle_up', '1f393': 'graduate', '1f935': 'tuxedo', '1f927': 'sneezing', '1f311': 'new_moon', '23f8': 'pause', '1f439': 'hamster', '1f3b1': 'billiards', '1f438': 'frog', '1f3b2': 'dice', '1f919': 'call_me', '1f349': 'watermelon', '2615': 'coffee', '1f949': 'third_place', '1f3bb': 'violin', '2728': 'sparkles', '262f': 'yin_yang', '1f30a': 'ocean', '1f34d': 'pineapple', '1f42a': 'arabian_camel', '1f987': 'bat', '1f3cb': 'lift', '26f8': 'ice_skate', '2b50': 'star', '1f3d0': 'volleyball', '1f638': 'smile_cat', '1f4b8': 'losing_money', '1f643': 'upside_down', '1f646': 'ok_signal', '1f460': 'high_heels', '1f457': 'dress', '1f3f0': 'castle', '1f5bc': 'picture', '26d1': 'helmet', '1f915': 'hurt', '1f94a': 'boxing_glove', '1f69e': 'mountain_railway', '1f407': 'rabbit', '2602': 'umbrella', '1f990': 'shrimp', '1f18e': 'ab', '2797': 'division', '1f496': 'sparkling_heart', '1f630': 'cold_sweat', '1f3a2': 'roller_coaster', '1f596': 'spock', '1f948': 'second_place', '231b': 'times_up', '1f458': 'kimono', '1f330': 'chestnut', '1f3b0': 'slot_machine', '1f570': 'mantelpiece_clock', '1f300': 'cyclone', '1f4ea': 'closed_mailbox', '1f98c': 'deer', '1f46c': 'two_men_holding_hands', '1f45c': 'handbag', '1f61e': 'disappointed', '1f37d': 'hungry', '1f5dd': 'secret', '1f625': 'exhausted', '1f403': 'water_buffalo', '1f3e2': 'office', '1f951': 'avocado', '2796': 'minus', '1f614': 'pensive', '1f483': 'dancer', '1f4a6': 'sweat_drops', '2716': 'multiplication', '1f3e0': 'house', '23f1': 'stopwatch', '1f636': 'speechless', '1f3ad': 'performing_arts', '1f911': 'money_face', '1f6ae': 'put_litter_in_its_place', '1f957': 'salad', '1f632': 'astonished', '26f5': 'boat', '1f95d': 'kiwi', '1f639': 'joy_cat', '1f954': 'potato', '2696': 'justice', '1f4fa': 'tv', '1f466': 'boy', '1f198': 'sos', '1f47e': 'space_invader', '1f4fc': 'vhs', '26cf': 'mine', '1f4e5': 'inbox', '1f4bb': 'computer', '1f3e9': 'love_hotel', '1f6b8': 'children_crossing', '1f48d': 'ring', '1f49b': 'yellow_heart', '1f4ce': 'paperclip', '2764': 'heart', '1f50c': 'electric_plug', '1f549': 'om', '1f35d': 'spaghetti', '1f3fa': 'vase', '1f43a': 'wolf', '26c8': 'thunderstorm', '1f35b': 'curry', '1f41b': 'bug', '1f689': 'station', '1f324': 'mostly_sunny', '1f680': 'rocket', '1f415': 'dog', '1f913': 'nerd', '1f953': 'bacon', '1f622': 'cry', '1f3a9': 'top_hat', '1f6a2': 'ship', '1f33e': 'harvest', '1f4aa': 'muscle', '2b06': 'up', '1f4c7': 'rolodex', '1f574': 'levitating', '1f936': 'mother_christmas', '1f648': 'see_no_evil', '1f52c': 'science', '1f934': 'prince', '1f3ae': 'video_game', '1f64d': 'person_frowning', '1f54e': 'menorah', '1f91c': 'right_fist', '262e': 'peace', '1f618': 'heart_kiss', '1f3c6': 'trophy', '1f4b6': 'euro_banknotes', '2049': 'interrobang', '2622': 'radioactive', '1f6f3': 'passenger_ship', '1f41a': 'shell', '1f3dd': 'island', '1f514': 'notifications', '1f6a5': 'horizontal_traffic_light', '26a0': 'warning', '1f4a0': 'cute', '1f473': 'turban', '1f3e1': 'suburb', '1f68a': 'oncoming_tram', '25fc': 'black_medium_square', '1f5fe': 'japan', '1f44e': '-1', '1f31d': 'moon_face', '1f6a0': 'gondola', '1f388': 'balloon', '1f194': 'id', '1f62a': 'sleepy', '2623': 'biohazard', '23f9': 'stop_button', '1f477': 'construction_worker', '1f5f3': 'ballot_box', '1f39e': 'film', '1f930': 'pregnant', '1f60c': 'relieved', '1f6b1': 'non-potable_water', '1f426': 'bird', '1f3e6': 'bank', '270b': 'hand', '1f374': 'fork_and_knife', '1f397': 'reminder_ribbon', '1f684': 'high_speed_train', '1f3f7': 'label', '1f478': 'princess', '21a9': 'reply', '1f3ce': 'racecar', '25b6': 'play', '1f3a4': 'microphone', '1f63f': 'crying_cat', '1f926': 'face_palm', '1f43e': 'paw_prints', '1f371': 'bento', '1f536': 'large_orange_diamond', '1f917': 'hug', '1f699': 'recreational_vehicle', '1f4df': 'pager', '1f3d7': 'construction', '1f69d': 'monorail', '1f363': 'sushi', '1f411': 'sheep', '2620': 'skull_and_crossbones', '2795': 'plus', '1f408': 'cat', '1f5a8': 'printer', '1f68e': 'trolley', '1f4ca': 'bar_chart', '1f98e': 'lizard', '23ef': 'play_pause', '270a': 'fist', '264a': 'gemini', '2709': 'email', '1f93d': 'water_polo', '1f5e1': 'dagger', '1f369': 'donut', '1f6a7': 'work_in_progress', '1f468': 'man', '1f428': 'koala', '2721': 'star_of_david', '1f637': 'cant_talk', '1f485': 'nail_polish', '1f610': 'neutral', '26f1': 'beach_umbrella', '1f420': 'tropical_fish', '1f959': 'doner_kebab', '231a': 'watch', '1f57a': 'dancing', '1f6c4': 'baggage_claim', '1f48c': 'love_letter', '1f502': 'repeat_one', '1f32f': 'burrito', '1f47a': 'goblin', '1f436': 'puppy', '1f40a': 'crocodile', '1f64e': 'person_pouting', '1f5fa': 'map', '0031-20e3': 'one', '1f515': 'mute_notifications', '1f45a': 'clothing', '1f63b': 'heart_eyes_cat', '1f697': 'car', '271d': 'cross', '1f6d0': 'place_of_worship', '1f464': 'silhouette', '1f68b': 'tram', '1f343': 'leaves', '1f51d': 'top', '1f68d': 'oncoming_bus', '1f91a': 'stop', '26ce': 'ophiuchus', '1f498': 'cupid', '1f449': 'point_right', '1f63e': 'angry_cat', '1f441': 'eye', '1f511': 'key', '1f955': 'carrot', '1f608': 'smiling_devil', '1f956': 'baguette', '1f358': 'senbei', '1f4d2': 'ledger', '26f9': 'ball', '2600': 'sunny', '1f35c': 'ramen', '1f47b': 'ghost', '1f4d0': 'carpenter_square', '1f360': 'yam', '1f94b': 'black_belt', '1f459': 'bikini', '1f56f': 'candle', '1f494': 'broken_heart', '1f3c8': 'american_football', '1f50a': 'louder', '1f461': 'sandal', '1f33f': 'herb', '1f44b': 'wave', '23f0': 'alarm_clock', '1f5a4': 'black_heart', '1f61c': 'stuck_out_tongue_wink', '1f5fc': 'tower', '1f521': 'abcd', '1f382': 'birthday', '1f409': 'dragon', '1f6d2': 'shopping_cart', '1f690': 'minibus', '1f465': 'silhouettes', '1f4fb': 'radio', '1f604': 'big_smile', '1f526': 'flashlight', '1f3af': 'direct_hit', '1f988': 'shark', '0036-20e3': 'six', '1f645': 'no_signal', '1f68c': 'bus', '1f698': 'oncoming_car', '1f5de': 'newspaper', '1f681': 'helicopter', '1f396': 'military_medal', '1f64b': 'raising_hand', '1f40d': 'snake', '1f38c': 'crossed_flags', '1f603': 'smiley', '1f386': 'fireworks', '1f6cf': 'bed', '1f4c6': 'date', '1f51b': 'on', '1f49a': 'green_heart', '1f54a': 'dove', '1f422': 'turtle', '26d3': 'chains', '1f197': 'squared_ok', '1f6b9': 'mens', '2652': 'aquarius', '1f617': 'kiss', '270c': 'peace_sign', '1f340': 'lucky', '1f199': 'squared_up', '1f69f': 'suspension_railway', '1f46b': 'man_and_woman_holding_hands', '1f4d1': 'place_holder', '1f925': 'lying', '1f44a': 'fist_bump', '1f410': 'goat', '1f58d': 'crayon', '1f3de': 'national_park', '1f456': 'jeans', '1f4d9': 'orange_book', '1f606': 'laughing', '2195': 'up_down', '1f345': 'tomato', '1f341': 'maple_leaf', '1f5fb': 'mount_fuji', '1f6ec': 'landing', '1f4a5': 'boom', '1f4e0': 'fax', '1f644': 'rolling_eyes', '1f4d4': 'decorative_notebook', '267f': 'accessible', '1f38d': 'bamboo', '1f4f0': 'headlines', '1f5e3': 'speaking_head', '1f36d': 'lollipop', '1f4fd': 'projector', '1f4e9': 'mail_sent', '1f922': 'nauseated', '1f575': 'detective', '1f37a': 'beer', '1f430': 'bunny', '1f36a': 'cookie', '1f320': 'shooting_star', '1f489': 'injection', '1f91b': 'left_fist', '1f623': 'persevere', '2649': 'taurus', '1f577': 'spider', '1f4f9': 'video_camera', '1f454': 'tie', '1f626': 'frowning', '1f191': 'cl', '1f506': 'brightness', '1f4c8': 'chart', '1f6cb': 'living_room', '1f58a': 'pen', '1f195': 'new', '1f6e9': 'small_airplane', '1f989': 'owl', '1f62e': 'open_mouth', '1f309': 'bridge', '1f937': 'shrug', '1f43d': 'pig_nose', '1f3c1': 'checkered_flag', '1f418': 'elephant', '1f512': 'locked', '1f3d6': 'beach', '3030': 'wavy_dash', '1f33a': 'hibiscus', '1f983': 'turkey', '263a': 'smile', '1f5d1': 'wastebasket', '2660': 'spades', '1f356': 'meat', '002a-20e3': 'asterisk', '1f991': 'squid', '1f3c0': 'basketball', '1f3e3': 'japan_post', '1f481': 'information_desk_person', '1f4af': '100', '1f376': 'sake', '1f91e': 'fingers_crossed', '1f372': 'food', '1f982': 'scorpion', '26b0': 'coffin', '1f32e': 'taco', '1f519': 'back', '2744': 'snowflake', '1f34b': 'lemon', '1f413': 'rooster', '1f325': 'cloudy', '1f47f': 'devil', '2693': 'anchor', '1f390': 'wind_chime', '1f69a': 'moving_truck', '1f35e': 'bread', '1f425': 'new_baby', '23eb': 'double_up', '1f455': 'shirt', '1f950': 'croissant', '2692': 'at_work', '2668': 'hot_springs', '1f370': 'cake', '264d': 'virgo', '1f31a': 'new_moon_face', '1f6c3': 'customs', '1f3aa': 'circus', '1f17f': 'parking', '1f367': 'shaved_ice', '1f576': 'dark_sunglasses', '26e9': 'shinto_shrine', '1f337': 'tulip', '1f4b3': 'credit_card', '1f440': 'eyes', '1f916': 'robot', '1f427': 'penguin', '1f635': 'dizzy', '1f69b': 'truck', '1f503': 'clockwise', '1f510': 'secure', '1f484': 'lipstick', '1f640': 'scream_cat', '1f50f': 'privacy', '1f379': 'tropical_drink', '1f5c4': 'file_cabinet', '25fd': 'white_medium_small_square', '1f469': 'woman', '2639': 'sad', '1f62b': 'anguish', '1f4f2': 'calling', '1f6e3': 'road', '1f527': 'fixing', '1f6c0': 'bath', '1f501': 'repeat', '1f475': 'older_woman', '1f45f': 'athletic_shoe', '1f4bd': 'gold_record', '1f693': 'police_car', '2198': 'lower_right', '1f3a1': 'ferris_wheel', '1f6e4': 'railway_track', '1f3b6': 'musical_notes', '1f462': 'boot', '1f509': 'softer', '1f30f': 'earth_asia', '1f4e1': 'satellite_antenna', '1f3ac': 'action', '1f98f': 'rhinoceros', '1f629': 'weary', '1f4ac': 'umm', '1f004': 'mahjong', '1f429': 'poodle', '1f49d': 'gift_heart', '1f5dc': 'compression', '1f351': 'peach', '1f4a1': 'light_bulb', '1f332': 'evergreen_tree', '1f688': 'light_rail', '1f437': 'piglet', '1f58b': 'fountain_pen', '26ea': 'church', '1f3e7': 'atm', '2603': 'snowman', '1f321': 'temperature', '1f52e': 'crystal_ball', '2618': 'shamrock', '1f30e': 'earth_americas', '1f193': 'free', '1f493': 'heartbeat', '1f63c': 'smirk_cat', '1f6cd': 'shopping_bags', '1f434': 'pony', '1f3d9': 'city', '1f609': 'wink', '1f3ab': 'pass', '1f38b': 'wish_tree', '1f476': 'baby', '1f5b2': 'trackball', '1f348': 'melon', '1f3be': 'tennis', '274c': 'cross_mark', '1f4ad': 'thought', '1f405': 'tiger', '1f986': 'duck', '1f933': 'selfie', '1f497': 'heart_pulse', '1f98d': 'gorilla', '1f6e1': 'shield', '1f52d': 'telescope', '1f641': 'frown', '1f19a': 'vs', '1f6b4': 'cyclist', '1f37b': 'beers', '1f391': 'moon_ceremony', '1f3ef': 'shiro', '1f687': 'subway', '2651': 'capricorn', '1f3c9': 'rugby', '1f616': 'confounded', '1f6bb': 'restroom', '1f34c': 'banana', '1f467': 'girl', '1f4a7': 'drop', '1f399': 'studio_microphone', '1f3d2': 'ice_hockey', '1f587': 'office_supplies', '1f3c7': 'horse_racing', '1f53c': 'upvote', '1f918': 'rock_on', '2b1c': 'white_large_square', '2733': 'eight_spoked_asterisk', '1f4bf': 'cd', '1f578': 'web', '1f302': 'closed_umbrella', '1f170': 'a', '1f943': 'small_glass', '1f51c': 'soon', '0030-20e3': 'zero', '1f479': 'ogre', '1f3e4': 'post_office', '1f41e': 'beetle', '1f384': 'holiday_tree', '1f444': 'lips', '1f47c': 'angel', '1f4f1': 'mobile_phone', '1f6c1': 'bathtub', '1f375': 'tea', '1f6b0': 'potable_water', '1f45e': 'shoe', '2197': 'upper_right', '269c': 'fleur_de_lis', '1f368': 'ice_cream', '1f362': 'oden', '2648': 'aries', '1f620': 'angry', '1f649': 'hear_no_evil', '1f6a1': 'aerial_tramway', '1f3d8': 'houses', '1f981': 'lion', '2753': 'question', '1f939': 'juggling', '26fd': 'fuel_pump', '1f33c': 'blossom', '1f5a5': 'desktop_computer', '1f6aa': 'door', '1f357': 'drumstick', '1f406': 'leopard', '1f642': 'slight_smile', '1f4f4': 'phone_off', '1f621': 'rage', '1f31e': 'sun_face', '1f54b': 'kaaba', '1f3d4': 'snowy_mountain', '2663': 'clubs', '1f385': 'santa', '1f435': 'monkey_face', '23f2': 'timer', '1f327': 'rainy', '1f51f': 'ten', '1f401': 'mouse', '1f346': 'eggplant', '1f353': 'strawberry', '1f419': 'octopus', '1f4c9': 'downwards_trend', '1f3ca': 'swim', '1f48e': 'gem', '1f45d': 'pouch', '2697': 'alchemy', '1f691': 'ambulance', '26fa': 'tent', '1f40b': 'humpback_whale', '270d': 'writing', '1f54d': 'synagogue', '1f611': 'expressionless', '0038-20e3': 'eight', '1f634': 'sleeping', '1f522': '1234', '1f48b': 'lipstick_kiss', '1f34e': 'apple', '262a': 'star_and_crescent', '1f4b1': 'exchange', '1f43f': 'chipmunk', '2702': 'scissors', '1f505': 'low_brightness', '1f446': 'point_up', '1f624': 'triumph', '2b07': 'down', '1f344': 'mushroom', '1f315': 'full_moon', '1f4d8': 'blue_book', '25aa': 'black_small_square', '1f3f9': 'bow_and_arrow', '264c': 'leo', '1f516': 'bookmark', '1f44f': 'clap', '1f451': 'crown', '1f4c1': 'organize', '2665': 'hearts', '1f60d': 'heart_eyes', '1f6f6': 'canoe', '1f573': 'hole', '1f32d': 'hotdog', '1f400': 'rat', '1f43c': 'panda', '1f48a': 'medicine', '1f305': 'sunrise', '1f44d': '+1', '1f4c4': 'document', '1f35f': 'fries', '1f938': 'cartwheel', '1f4e4': 'outbox', '1f940': 'wilted_flower', '1f31b': 'goodnight', '1f52b': 'gun', '1f3bf': 'ski', '1f4d7': 'green_book', '1f389': 'tada', '1f342': 'fallen_leaf', '2601': 'cloud', '1f42e': 'calf', '1f452': 'hat', '1f42b': 'camel', '1f60f': 'smirk', '1f417': 'boar', '1f3d5': 'campsite', '1f3b8': 'guitar', '1f4b0': 'money', '1f4a3': 'bomb', '1f3d3': 'ping_pong', '2611': 'checkbox', '1f499': 'blue_heart', '1f628': 'fear', '1f910': 'silence', '0037-20e3': 'seven', '1f3db': 'classical_building', '1f4ef': 'horn', '1f480': 'skull', '1f6b5': 'mountain_biker', '1f46f': 'dancers', '261d': 'wait_one_second', '1f347': 'grapes', '1f64f': 'pray', '1f63d': 'kissing_cat', '1f3a7': 'headphones', '1f365': 'naruto', '1f980': 'crab', '1f941': 'drum', '1f6eb': 'take_off', '1f44c': 'ok', '1f423': 'hatching', '1f3b9': 'piano', '24c2': 'metro', '1f377': 'wine', '1f3a8': 'art', '1f6b6': 'walking', '1f6ab': 'prohibited', '1f530': 'beginner', '1f4f5': 'no_phones', '1f39f': 'ticket', '1f447': 'point_down', '1f463': 'footprints', '1f5fd': 'statue', '26d4': 'no_entry', '1f692': 'fire_truck', '1f359': 'onigiri', '1f46d': 'two_women_holding_hands', '23ea': 'rewind', '1f3cf': 'cricket', '2650': 'sagittarius', '1f3eb': 'school', '26bd': 'football', '1f3da': 'derelict_house', '1f4cd': 'pin', '1f528': 'hammer', '25ab': 'white_small_square', '1f3f8': 'badminton', '1f333': 'tree', '1f3cd': 'motorcycle', '1f472': 'gua_pi_mao', '26f7': 'skier', '1f4e6': 'package', '1f5c2': 'sort', '1f924': 'drooling', '1f6cc': 'in_bed', '2122': 'tm', '267b': 'recycle', '1f383': 'jack-o-lantern', '26c4': 'frosty', '1f53b': 'red_triangle_down', '1f4a9': 'poop', '1f32a': 'tornado', '1f9c0': 'cheese', '1f61f': 'worried', '1f595': 'middle_finger', '1f5e8': 'speech_bubble', '1f531': 'trident', '2b05': 'left', '1f6e5': 'motor_boat', '1f171': 'b', '1f985': 'eagle', '1f3ba': 'trumpet', '2626': 'orthodox_cross', '2b55': 'circle', '1f41c': 'ant', '1f98a': 'fox', '264e': 'libra', '2754': 'grey_question', '1f4f6': 'cell_reception', '1f4c2': 'folder', '1f4db': 'name_badge', '1f326': 'sunshowers', '1f51e': 'underage', '2199': 'lower_left', '1f3c4': 'surf', '27a1': 'right', '1f4cb': 'clipboard', '1f306': 'sunset', '1f50b': 'battery', '1f40e': 'horse', '1f4e2': 'loudspeaker', '1f53d': 'downvote', '1f4b5': 'dollar_bills', '1f605': 'sweat_smile', '23fa': 'record', '1f3dc': 'desert', '25c0': 'play_reverse', '1f62c': 'grimacing', '2934': 'heading_up', '1f334': 'palm_tree', '1f4e3': 'megaphone', '1f36c': 'candy', '1f947': 'first_place', '1f378': 'cocktail', '2666': 'diamonds', '1f619': 'kiss_smiling_eyes', '1f912': 'sick', '1f381': 'gift', '1f535': 'blue_circle', '1f4ba': 'seat', '1f3ec': 'department_store', '1f329': 'lightning', '1f304': 'mountain_sunrise', '1f3cc': 'golf', '1f952': 'cucumber', '1f4c3': 'receipt', '1f508': 'speaker', '2614': 'umbrella_with_rain', '1f6d1': 'stop_sign', '1f36e': 'custard', '1f64a': 'speak_no_evil', '1f537': 'large_blue_diamond', '1f4cf': 'ruler', '23e9': 'fast_forward', '1f402': 'ox', '0039-20e3': 'nine', '1f93c': 'wrestling', '0035-20e3': 'five', '21aa': 'forward', '1f612': 'unamused', '2604': 'comet', '1f517': 'link', '1f308': 'rainbow', '1f6ac': 'smoking', '1f3b5': 'music', '1f6f0': 'satellite', '1f4b9': 'stock_market', '1f4b4': 'yen_banknotes', '26f2': 'fountain', '203c': 'bangbang', '1f6bd': 'toilet', '1f421': 'blowfish', '2755': 'grey_exclamation', '1f4c5': 'calendar', '1f984': 'unicorn', '23ed': 'next_track', '1f414': 'chicken', '1f942': 'clink', '1f50d': 'search', '1f694': 'oncoming_police_car', '1f6e0': 'working_on_it', '2653': 'pisces', '1f4da': 'books', '1f520': 'capital_abcd', '1f602': 'joy', '1f487': 'haircut', '1f6a3': 'rowboat', '1f4b2': 'dollars', '1f4a2': 'anger', '1f6a9': 'triangular_flag', '1f533': 'black_and_white_square', '1f69c': 'tractor', '1f3b7': 'saxophone', '1f30c': 'milky_way', '1f36b': 'chocolate', '269b': 'atom', '1f6ba': 'womens', '1f307': 'city_sunrise', '1f6c2': 'passport_control', '1f450': 'open_hands', '1f945': 'gooooooooal', '1f412': 'monkey', '1f95a': 'egg', '1f45b': 'purse', '23ec': 'double_down', '1f4b7': 'pound_notes', '1f62d': 'sob', '1f486': 'massage', '1f3f4': 'black_flag', '1f60b': 'yum', '1f196': 'ng', '1f301': 'foggy', '1f557': 'time', '2638': 'wheel_of_dharma', '0032-20e3': 'two', '1f91d': 'handshake', '1f482': 'guard', '1f6b7': 'no_pedestrians', '1f4f8': 'taking_a_picture', '1f613': 'sweat', '1f492': 'wedding', '274e': 'x', '1f30d': 'earth_africa', '1f921': 'clown', '1f6a6': 'traffic_light', '1f4f3': 'vibration_mode', '2694': 'duel', '1f335': 'cactus', '2747': 'sparkle', '2714': 'check_mark', '1f32b': 'fog', '1f328': 'snowy', '1f3d1': 'field_hockey', '1f49f': 'heart_box', '1f525': 'fire', '1f524': 'abc', '1f532': 'white_and_black_square', '1f3c2': 'snowboarder', '1f504': 'counterclockwise', '1f364': 'tempura', '1f6a4': 'speedboat', '1f60a': 'blush', '1f3bc': 'musical_score', '23f3': 'time_ticking', '2935': 'heading_down', '1f64c': 'raised_hands', '1f4cc': 'push_pin', '1f4dd': 'memo', '1f61b': 'mischievous', '26be': 'baseball', '1f685': 'bullet_train', '264b': 'cancer', '1f42c': 'dolphin', '1f590': 'high_five', '1f5d2': 'spiral_notepad', '1f4c0': 'dvd', '1f192': 'cool', '1f319': 'moon', '1f51a': 'end', '1f600': 'grinning', '1f46a': 'family', '1f33b': 'sunflower', '1f4a4': 'zzz', '270f': 'pencil', '1f920': 'cowboy', '1f4ed': 'inbox_zero', '1f95c': 'peanuts', '1f424': 'chick', '1f513': 'unlocked', '1f60e': 'sunglasses', '1f539': 'small_blue_diamond', '1f443': 'nose', '1f3a0': 'carousel', '1f683': 'railway_car', '1f39b': 'control_knobs', '1f0cf': 'joker', '1f442': 'ear', '1f3e5': 'hospital', '1f40c': 'snail', '1f507': 'mute', '2328': 'keyboard', '1f607': 'innocent', '1f495': 'two_hearts', '2708': 'airplane', '1f68f': 'bus_stop', '1f4ae': 'white_flower', '1f3e8': 'hotel', '2194': 'left_right', '1f523': 'symbols', '1f432': 'dragon_face', '1f4f7': 'camera', '1f58c': 'paintbrush', '1f387': 'sparkler', '1f4be': 'floppy_disk', '1f35a': 'rice', '1f31f': 'glowing_star', '1f529': 'nut_and_bolt', '1f627': 'anguished', '1f40f': 'ram', '1f5c3': 'archive', '260e': 'phone', '1f3ea': 'convenience_store', '26f0': 'mountain', '1f61d': 'stuck_out_tongue', '0034-20e3': 'four', '1f4d3': 'notebook', '26b1': 'funeral_urn', '1f33d': 'corn', '1f3c5': 'medal', '1f314': 'waxing_moon', '25fe': 'black_medium_small_square', '303d': 'part_alternation', '1f6e2': 'oil_drum', '1f350': 'pear', '26c5': 'partly_sunny', '1f696': 'oncoming_taxi', '1f6ce': 'bellhop_bell', '1f4e7': 'e-mail', '1f37f': 'popcorn', '1f303': 'night', '1f4ee': 'mail_dropoff', '1f404': 'cow', '1f3b4': 'playing_cards', '1f500': 'shuffle', '1f61a': 'kiss_with_blush', '1f38a': 'confetti', '1f36f': 'honey', '1f518': 'radio_button', '1f4d6': 'book', '1f4dc': 'scroll', '26a1': 'high_voltage', '1f3b3': 'strike', '2699': 'gear', '1f310': 'www', '1f3a3': 'fishing', '2734': 'eight_pointed_star', '1f366': 'soft_serve', '1f3ee': 'lantern', '1f647': 'bow', '1f601': 'grinning_face_with_smiling_eyes', '1f3bd': 'running_shirt', '1f5ff': 'rock_carving', '1f470': 'bride', '1f416': 'pig', '1f34f': 'green_apple', '1f3f5': 'rosette', '1f6bc': 'baby_change_station', '1f95b': 'milk', '1f695': 'taxi', '1f534': 'red_circle', '1f3f3': 'white_flag', '26aa': 'white_circle', '1f488': 'barber', '27b0': 'loop', '1f336': 'hot_pepper', '1f433': 'whale', '1f17e': 'o', '1f4bc': 'briefcase', '1f354': 'hamburger', '1f6af': 'do_not_litter', '1f958': 'paella', '1f37e': 'champagne', '1f39a': 'volume', '1f38e': 'dolls', '1f93e': 'handball', '23ee': 'previous_track', '1f42d': 'dormouse', '1f6b2': 'bike', '1f373': 'cooking', '1f43b': 'bear', '2763': 'heart_exclamation', '25fb': 'white_medium_square', '1f331': 'seedling', '1f46e': 'police', '1f615': 'oh_no', '1f4ec': 'unread_mail', '1f5b1': 'computer_mouse', '1f3df': 'stadium', '1f30b': 'volcano', '0033-20e3': 'three', '1f4ab': 'seeing_stars', '1f682': 'train', '1f41f': 'fish', '1f5ef': 'anger_bubble', '1f3c3': 'running', '1f95e': 'pancakes', '1f6bf': 'shower', '1f98b': 'butterfly', '1f361': 'dango', '1f6ad': 'no_smoking', '1f63a': 'smiley_cat', '1f4d5': 'red_book', '1f355': 'pizza', '2b1b': 'black_large_square', '1f3ed': 'factory', '26ab': 'black_circle', '1f47d': 'alien', '1f6f4': 'kick_scooter', '1f6be': 'wc', '1f3a6': 'cinema', '1f944': 'spoon', '1f3a5': 'movie_camera', '1f4a8': 'dash', '1f4e8': 'mail_received', '1f37c': 'baby_bottle', '1f6c5': 'locker', '1f490': 'bouquet', '1f352': 'cherries', '1f4de': 'landline', '2757': 'exclamation', '1f445': 'tongue', '27bf': 'double_loop', '26f4': 'ferry', '1f54c': 'mosque'};

exports.emoji_catalog = {'Symbols': ['1f3e7', '1f6ae', '1f6b0', '267f', '1f6b9', '1f6ba', '1f6bb', '1f6bc', '1f6be', '1f6c2', '1f6c3', '1f6c4', '1f6c5', '26a0', '1f6b8', '26d4', '1f6ab', '1f6b3', '1f6ad', '1f6af', '1f6b1', '1f6b7', '1f4f5', '1f51e', '2622', '2623', '2b06', '2197', '27a1', '2198', '2b07', '2199', '2b05', '2196', '2195', '2194', '21a9', '21aa', '2934', '2935', '1f503', '1f504', '1f519', '1f51a', '1f51b', '1f51c', '1f51d', '1f6d0', '269b', '1f549', '2721', '2638', '262f', '271d', '2626', '262a', '262e', '1f54e', '2648', '2649', '264a', '264b', '264c', '264d', '264e', '264f', '2650', '2651', '2652', '2653', '26ce', '1f500', '1f501', '1f502', '25b6', '23e9', '23ed', '23ef', '25c0', '23ea', '23ee', '1f53c', '23eb', '1f53d', '23ec', '23f8', '23f9', '23fa', '1f3a6', '1f505', '1f506', '1f4f6', '1f4f3', '1f4f4', '267b', '269c', '1f531', '1f4db', '1f530', '2b55', '2705', '2611', '2714', '2716', '274c', '274e', '2795', '2796', '2797', '27b0', '27bf', '303d', '2733', '2734', '2747', '203c', '2049', '2753', '2754', '2755', '2757', '3030', '2122', '0023-20e3', '002a-20e3', '0030-20e3', '0031-20e3', '0032-20e3', '0033-20e3', '0034-20e3', '0035-20e3', '0036-20e3', '0037-20e3', '0038-20e3', '0039-20e3', '1f51f', '1f4af', '1f520', '1f521', '1f522', '1f523', '1f524', '1f170', '1f18e', '1f171', '1f191', '1f192', '1f193', '2139', '1f194', '24c2', '1f195', '1f196', '1f17e', '1f197', '1f17f', '1f198', '1f199', '1f19a', '25aa', '25ab', '25fb', '25fc', '25fd', '25fe', '2b1b', '2b1c', '1f536', '1f537', '1f538', '1f539', '1f53a', '1f53b', '1f4a0', '1f518', '1f532', '1f533', '26aa', '26ab', '1f534', '1f535'], 'Food & Drink': ['1f347', '1f348', '1f349', '1f34a', '1f34b', '1f34c', '1f34d', '1f34e', '1f34f', '1f350', '1f351', '1f352', '1f353', '1f95d', '1f345', '1f951', '1f346', '1f954', '1f955', '1f33d', '1f336', '1f952', '1f344', '1f95c', '1f330', '1f35e', '1f950', '1f956', '1f95e', '1f9c0', '1f356', '1f357', '1f953', '1f354', '1f35f', '1f355', '1f32d', '1f32e', '1f32f', '1f959', '1f95a', '1f373', '1f958', '1f372', '1f957', '1f37f', '1f371', '1f358', '1f359', '1f35a', '1f35b', '1f35c', '1f35d', '1f360', '1f362', '1f363', '1f364', '1f365', '1f361', '1f366', '1f367', '1f368', '1f369', '1f36a', '1f382', '1f370', '1f36b', '1f36c', '1f36d', '1f36e', '1f36f', '1f37c', '1f95b', '2615', '1f375', '1f376', '1f37e', '1f377', '1f378', '1f379', '1f37a', '1f37b', '1f942', '1f943', '1f37d', '1f374', '1f944', '1f52a', '1f3fa'], 'Activities': ['1f383', '1f384', '1f386', '1f387', '2728', '1f388', '1f389', '1f38a', '1f38b', '1f38d', '1f38e', '1f38f', '1f390', '1f391', '1f380', '1f381', '1f397', '1f39f', '1f3ab', '1f396', '1f3c6', '1f3c5', '1f947', '1f948', '1f949', '26bd', '26be', '1f3c0', '1f3d0', '1f3c8', '1f3c9', '1f3be', '1f3b1', '1f3b3', '1f3cf', '1f3d1', '1f3d2', '1f3d3', '1f3f8', '1f94a', '1f94b', '1f945', '1f3af', '26f3', '26f8', '1f3a3', '1f3bd', '1f3bf', '1f3ae', '1f579', '1f3b2', '2660', '2665', '2666', '2663', '1f0cf', '1f004', '1f3b4'], 'Travel & Places': ['1f30d', '1f30e', '1f30f', '1f310', '1f5fa', '1f5fe', '1f3d4', '26f0', '1f30b', '1f5fb', '1f3d5', '1f3d6', '1f3dc', '1f3dd', '1f3de', '1f3df', '1f3db', '1f3d7', '1f3d8', '1f3d9', '1f3da', '1f3e0', '1f3e1', '1f3e2', '1f3e3', '1f3e4', '1f3e5', '1f3e6', '1f3e8', '1f3e9', '1f3ea', '1f3eb', '1f3ec', '1f3ed', '1f3ef', '1f3f0', '1f492', '1f5fc', '1f5fd', '26ea', '1f54c', '1f54d', '26e9', '1f54b', '26f2', '26fa', '1f301', '1f303', '1f304', '1f305', '1f306', '1f307', '1f309', '2668', '1f30c', '1f3a0', '1f3a1', '1f3a2', '1f488', '1f3aa', '1f3ad', '1f5bc', '1f3a8', '1f3b0', '1f682', '1f683', '1f684', '1f685', '1f686', '1f687', '1f688', '1f689', '1f68a', '1f69d', '1f69e', '1f68b', '1f68c', '1f68d', '1f68e', '1f690', '1f691', '1f692', '1f693', '1f694', '1f695', '1f696', '1f697', '1f698', '1f699', '1f69a', '1f69b', '1f69c', '1f6b2', '1f6f4', '1f6f5', '1f68f', '1f6e3', '1f6e4', '26fd', '1f6a8', '1f6a5', '1f6a6', '1f6a7', '1f6d1', '2693', '26f5', '1f6f6', '1f6a4', '1f6f3', '26f4', '1f6e5', '1f6a2', '2708', '1f6e9', '1f6eb', '1f6ec', '1f4ba', '1f681', '1f69f', '1f6a0', '1f6a1', '1f6f0', '1f680', '1f6ce', '1f6aa', '1f6cf', '1f6cb', '1f6bd', '1f6bf', '1f6c1', '231b', '23f3', '231a', '23f0', '23f1', '23f2', '1f570', '1f557', '1f311', '1f314', '1f315', '1f319', '1f31a', '1f31b', '1f321', '2600', '1f31d', '1f31e', '2b50', '1f31f', '1f320', '2601', '26c5', '26c8', '1f324', '1f325', '1f326', '1f327', '1f328', '1f329', '1f32a', '1f32b', '1f32c', '1f300', '1f308', '1f302', '2602', '2614', '26f1', '26a1', '2744', '2603', '26c4', '2604', '1f525', '1f4a7', '1f30a'], 'Objects': ['1f507', '1f508', '1f509', '1f50a', '1f4e2', '1f4e3', '1f4ef', '1f514', '1f515', '1f3bc', '1f3b5', '1f3b6', '1f399', '1f39a', '1f39b', '1f3a4', '1f3a7', '1f4fb', '1f3b7', '1f3b8', '1f3b9', '1f3ba', '1f3bb', '1f941', '1f4f1', '1f4f2', '260e', '1f4de', '1f4df', '1f4e0', '1f50b', '1f50c', '1f4bb', '1f5a5', '1f5a8', '2328', '1f5b1', '1f5b2', '1f4bd', '1f4be', '1f4bf', '1f4c0', '1f3a5', '1f39e', '1f4fd', '1f3ac', '1f4fa', '1f4f7', '1f4f8', '1f4f9', '1f4fc', '1f50d', '1f52c', '1f52d', '1f4e1', '1f56f', '1f4a1', '1f526', '1f3ee', '1f4d4', '1f4d5', '1f4d6', '1f4d7', '1f4d8', '1f4d9', '1f4da', '1f4d3', '1f4d2', '1f4c3', '1f4dc', '1f4c4', '1f4f0', '1f5de', '1f4d1', '1f516', '1f3f7', '1f4b0', '1f4b4', '1f4b5', '1f4b6', '1f4b7', '1f4b8', '1f4b3', '1f4b9', '1f4b1', '1f4b2', '2709', '1f4e7', '1f4e8', '1f4e9', '1f4e4', '1f4e5', '1f4e6', '1f4eb', '1f4ea', '1f4ec', '1f4ed', '1f4ee', '1f5f3', '270f', '1f58b', '1f58a', '1f58c', '1f58d', '1f4dd', '1f4bc', '1f4c1', '1f4c2', '1f5c2', '1f4c5', '1f4c6', '1f5d2', '1f4c7', '1f4c8', '1f4c9', '1f4ca', '1f4cb', '1f4cc', '1f4cd', '1f4ce', '1f587', '1f4cf', '1f4d0', '2702', '1f5c3', '1f5c4', '1f5d1', '1f512', '1f513', '1f50f', '1f510', '1f511', '1f5dd', '1f528', '26cf', '2692', '1f6e0', '1f5e1', '2694', '1f52b', '1f3f9', '1f6e1', '1f527', '1f529', '2699', '1f5dc', '2697', '2696', '1f517', '26d3', '1f489', '1f48a', '1f6ac', '26b0', '26b1', '1f5ff', '1f6e2', '1f52e', '1f6d2'], 'Flags': ['1f3c1', '1f6a9', '1f38c', '1f3f4', '1f3f3'], 'Animals & Nature': ['1f435', '1f412', '1f98d', '1f436', '1f415', '1f429', '1f43a', '1f98a', '1f431', '1f408', '1f981', '1f42f', '1f405', '1f406', '1f434', '1f40e', '1f984', '1f98c', '1f42e', '1f402', '1f403', '1f404', '1f437', '1f416', '1f417', '1f43d', '1f40f', '1f411', '1f410', '1f42a', '1f42b', '1f418', '1f98f', '1f42d', '1f401', '1f400', '1f439', '1f430', '1f407', '1f43f', '1f987', '1f43b', '1f428', '1f43c', '1f43e', '1f983', '1f414', '1f413', '1f423', '1f424', '1f425', '1f426', '1f427', '1f54a', '1f985', '1f986', '1f989', '1f438', '1f40a', '1f422', '1f98e', '1f40d', '1f432', '1f409', '1f433', '1f40b', '1f42c', '1f41f', '1f420', '1f421', '1f988', '1f419', '1f41a', '1f980', '1f990', '1f991', '1f40c', '1f98b', '1f41b', '1f41c', '1f41d', '1f41e', '1f577', '1f578', '1f982', '1f490', '1f338', '1f4ae', '1f3f5', '1f339', '1f940', '1f33a', '1f33b', '1f33c', '1f337', '1f331', '1f332', '1f333', '1f334', '1f335', '1f33e', '1f33f', '2618', '1f340', '1f341', '1f342', '1f343'], 'Smileys & People': ['1f600', '1f601', '1f602', '1f923', '1f603', '1f604', '1f605', '1f606', '1f609', '1f60a', '1f60b', '1f60e', '1f60d', '1f618', '1f617', '1f619', '1f61a', '263a', '1f642', '1f917', '1f914', '1f610', '1f611', '1f636', '1f644', '1f60f', '1f623', '1f625', '1f62e', '1f910', '1f62f', '1f62a', '1f62b', '1f634', '1f60c', '1f61b', '1f61c', '1f61d', '1f924', '1f612', '1f613', '1f614', '1f615', '1f643', '1f911', '1f632', '2639', '1f641', '1f616', '1f61e', '1f61f', '1f624', '1f622', '1f62d', '1f626', '1f627', '1f628', '1f629', '1f62c', '1f630', '1f631', '1f633', '1f635', '1f621', '1f620', '1f637', '1f912', '1f915', '1f922', '1f927', '1f607', '1f920', '1f921', '1f925', '1f913', '1f608', '1f47f', '1f479', '1f47a', '1f480', '2620', '1f47b', '1f47d', '1f47e', '1f916', '1f4a9', '1f63a', '1f638', '1f639', '1f63b', '1f63c', '1f63d', '1f640', '1f63f', '1f63e', '1f648', '1f649', '1f64a', '1f476', '1f466', '1f467', '1f468', '1f469', '1f474', '1f475', '1f46e', '1f575', '1f482', '1f477', '1f934', '1f478', '1f473', '1f472', '1f935', '1f470', '1f930', '1f47c', '1f385', '1f936', '1f64d', '1f64e', '1f645', '1f646', '1f481', '1f64b', '1f647', '1f926', '1f937', '1f486', '1f487', '1f6b6', '1f3c3', '1f483', '1f57a', '1f46f', '1f6c0', '1f6cc', '1f574', '1f5e3', '1f464', '1f465', '1f93a', '1f3c7', '26f7', '1f3c2', '1f3cc', '1f3c4', '1f6a3', '1f3ca', '26f9', '1f3cb', '1f6b4', '1f6b5', '1f3ce', '1f3cd', '1f938', '1f93c', '1f93d', '1f93e', '1f939', '1f46b', '1f46c', '1f46d', '1f46a', '1f933', '1f4aa', '1f448', '1f449', '261d', '1f446', '1f595', '1f447', '270c', '1f91e', '1f596', '1f918', '1f919', '1f590', '270b', '1f44c', '1f44d', '1f44e', '270a', '1f44a', '1f91b', '1f91c', '1f91a', '1f44b', '270d', '1f44f', '1f450', '1f64c', '1f64f', '1f91d', '1f485', '1f442', '1f443', '1f463', '1f440', '1f441', '1f445', '1f444', '1f48b', '1f498', '2764', '1f493', '1f494', '1f495', '1f496', '1f497', '1f499', '1f49a', '1f49b', '1f49c', '1f5a4', '1f49d', '1f49e', '1f49f', '2763', '1f48c', '1f4a4', '1f4a2', '1f4a3', '1f4a5', '1f4a6', '1f4a8', '1f4ab', '1f4ac', '1f5e8', '1f5ef', '1f4ad', '1f573', '1f453', '1f576', '1f454', '1f455', '1f456', '1f457', '1f458', '1f459', '1f45a', '1f45b', '1f45c', '1f45d', '1f6cd', '1f392', '1f45e', '1f45f', '1f460', '1f461', '1f462', '1f451', '1f452', '1f3a9', '1f393', '26d1', '1f4ff', '1f484', '1f48d', '1f48e']};

exports.emoticon_conversions = {':)': ':slight_smile:', ':|': ':expressionless:', ':/': ':confused:', ':(': ':frown:', '(:': ':slight_smile:', '<3': ':heart:'};

return exports;
}());
if (typeof module !== 'undefined') {
    module.exports = emoji_codes;
}
